Bug 25630 - More capitalization and terminology fixes for system preferences
Summary: More capitalization and terminology fixes for system preferences
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 26015
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-31 13:38 UTC by Katrin Fischer
Modified: 2020-11-17 20:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This enhancement makes changes to the descriptions for many of the system preferences to help improve consistency with the terminology list* and readability. The changes made cover: - Capitalization (such as Don't Allow to Don't allow). - Terminology (such as staff client to staff interface, including the tab label). - Punctuation (such as the placement of periods/full stops at the end of sentences). - Readability (rearranging or rephrasing the description to make easier to understand). Some of the terminology changes include: - bib and biblio => bibliographic - branch => library - borrower => patron - Do not > Don't - staff client => staff interface - pref and syspref => system preference * https://wiki.koha-community.org/wiki/Terminology
Version(s) released in:
20.11.00


Attachments
Bug 25630: Fix capitalization and terminology for Staff interface system preferences (10.44 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences (4.53 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences (4.17 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences (7.60 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Patrons system preferences (6.88 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for OPAC system preferences (18.05 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences (4.12 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Circulation system preferences (30.74 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences (12.15 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences (5.79 KB, patch)
2020-06-01 10:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Staff interface system preferences (10.49 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences (4.58 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences (4.22 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences (7.65 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Patrons system preferences (6.93 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for OPAC system preferences (18.10 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences (4.16 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Circulation system preferences (30.79 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences (12.19 KB, patch)
2020-06-24 09:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences (5.84 KB, patch)
2020-06-24 09:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 25630: (follow-up) Fix capitalization and terminology for system preferences (75.73 KB, patch)
2020-06-24 22:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 25909: Recent change to datatables JS in the OPAC causes errors (8.24 KB, patch)
2020-07-18 16:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Staff interface system preferences (18.88 KB, patch)
2020-07-18 16:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences (4.58 KB, patch)
2020-07-18 16:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences (4.22 KB, patch)
2020-07-18 16:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences (7.65 KB, patch)
2020-07-18 16:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Patrons system preferences (6.93 KB, patch)
2020-07-18 16:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for OPAC system preferences (18.10 KB, patch)
2020-07-18 16:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences (4.16 KB, patch)
2020-07-18 16:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Circulation system preferences (30.79 KB, patch)
2020-07-18 16:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences (12.19 KB, patch)
2020-07-18 16:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences (5.84 KB, patch)
2020-07-18 16:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Staff interface system preferences (18.88 KB, patch)
2020-08-14 12:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences (4.58 KB, patch)
2020-08-14 12:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences (4.24 KB, patch)
2020-08-14 12:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences (7.65 KB, patch)
2020-08-14 12:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Patrons system preferences (6.45 KB, patch)
2020-08-14 12:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for OPAC system preferences (17.80 KB, patch)
2020-08-14 12:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences (4.16 KB, patch)
2020-08-14 12:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Circulation system preferences (30.95 KB, patch)
2020-08-14 12:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences (12.19 KB, patch)
2020-08-14 12:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences (5.84 KB, patch)
2020-08-14 12:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: (follow-up) Fix capitalization and terminology for system preferences (74.63 KB, patch)
2020-08-14 12:30 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Staff interface system preferences (9.75 KB, patch)
2020-08-22 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences (4.58 KB, patch)
2020-08-22 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences (4.24 KB, patch)
2020-08-22 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences (7.65 KB, patch)
2020-08-22 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Patrons system preferences (6.45 KB, patch)
2020-08-22 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for OPAC system preferences (17.80 KB, patch)
2020-08-22 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences (4.16 KB, patch)
2020-08-22 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Circulation system preferences (30.99 KB, patch)
2020-08-22 11:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences (12.17 KB, patch)
2020-08-22 11:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences (5.84 KB, patch)
2020-08-22 11:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: (follow-up) Fix capitalization and terminology for system preferences (74.21 KB, patch)
2020-08-22 11:59 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Staff interface system preferences (9.75 KB, patch)
2020-09-01 18:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences (4.58 KB, patch)
2020-09-01 18:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences (4.24 KB, patch)
2020-09-01 18:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences (7.65 KB, patch)
2020-09-01 18:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Patrons system preferences (6.45 KB, patch)
2020-09-01 18:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for OPAC system preferences (17.80 KB, patch)
2020-09-01 18:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences (4.16 KB, patch)
2020-09-01 18:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Circulation system preferences (30.99 KB, patch)
2020-09-01 18:51 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences (12.17 KB, patch)
2020-09-01 18:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences (5.84 KB, patch)
2020-09-01 18:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25630: (follow-up) Fix capitalization and terminology for system preferences (73.63 KB, patch)
2020-09-01 18:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-05-31 13:38:17 UTC

    
Comment 1 Katrin Fischer 2020-05-31 13:39:55 UTC
Some cases were missed in the earlier patches.
Comment 2 Katrin Fischer 2020-06-01 10:53:24 UTC
Created attachment 105459 [details] [review]
Bug 25630: Fix capitalization and terminology for Staff interface system preferences

This changes "staff client" to "staff interface" and fixes capitalization
in a couple of cases.

For terminology changes see:
https://wiki.koha-community.org/wiki/Terminology#S

To test:
- Read through the preferences of the "staff interface" tab.
- Staff interface should be used consistently.
- Firefox "PlugIn" was changed to "add-on" reflecting Mozilla's
  own terminology.
Comment 3 Katrin Fischer 2020-06-01 10:53:28 UTC
Created attachment 105460 [details] [review]
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences

- Rephrases LoadSearchHistoryToTheFirstLoggedUser system preference
- Consistently use "staff interface"
- Add ending punctuation to some preferences

To test:
- Read through the Searching system preferences
- Verify consistent use of staff interface
- Verify LoadSearchHistoryToTheFirstLoggedUser description is
  improved
Comment 4 Katrin Fischer 2020-06-01 10:53:31 UTC
Created attachment 105461 [details] [review]
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences

- Adds some ending punctuation
- Fixes capitalization
- Consistent use of "staff interface"

To test:
- Verify:
  - NewsAuthorDisplay
  - EmailPurchaseSuggestions
  - UseACQFrameworkForBiblioRecords
  - AcqItemSetSubfieldsWhenReceived
  - AcqItemSetSubfieldsWhenReceiptIsCancelled
  - OrderPriceRounding
- read correctly.
Comment 5 Katrin Fischer 2020-06-01 10:53:35 UTC
Created attachment 105462 [details] [review]
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences

- Fixes capitalization, including URL and OPAC
- Consistent use of "staff interface"
- Ending punctuation
- Spelling: web service

To test:
- Verify:
  - Enhanced content page heading
  - Babeltheque_url_js
  - Babeltheque_url_update
  - FRBRizeEditions
  - BakerTaylorEnabled
  - NovelistSelectStaffProfile
  - NovelistSelectStaffEnabled
  - CustomCoverImages
  - LocalCoverImages
  - IntranetCoce
  - AutoShareWithMana
  - OAI-PMH:AutoUpdateSets
  - IdRef
- read correctly.
Comment 6 Katrin Fischer 2020-06-01 10:53:39 UTC
Created attachment 105463 [details] [review]
Bug 25630: Fix capitalization and terminology for Patrons system preferences

- Consistent use of 'staff interface'
- Ending punctuation
- Rearranged/rephrased for better readability

To test:
- Verify:
  - patronimages
  - PatronsPerPage (rearranged)
  - PatronQuickAddFields (rearranged)
  - PrefillGuaranteeField (punctuation)
  - borrowerRelationship (punctuation)
  - GDPR_Policy
  - CollapseFieldsPatronAddForm
- read correctly.
Comment 7 Katrin Fischer 2020-06-01 10:53:43 UTC
Created attachment 105464 [details] [review]
Bug 25630: Fix capitalization and terminology for OPAC system preferences

- Ending punctuation (p)
- Capitalization (c)
- Terminology: library instead of branch, patron instead of borrower,
  system preferences instead of syspref

To test:
- Verify:
  - OPACUserSummary (p, rephrase: mainpage)
  - HighlightOwnItemsOnOPACWhich (library)
  - OPACXSLTListsDisplay (p)
  - OPACXSLTResultsDisplay (p)
  - OPACXSLTDetailsDisplay (p)
  - OpacNoItemTypeImages (p)
  - NotHighlightedWords (p)
  - opaclayoutstylesheet (CSS)
  - OPACReportProblem (c)
  - OpacBrowser (p)
  - OpacCloud (p)
  - SocialNetworks (p)
  - QuoteOfTheDay (c,p)
  - OpacNewsLibrarySelect (library)
  - OPACFineNoRenewalsIncludeCredits (p)
  - AllowPurchaseSuggestionBranchChoice (p)
  - OpacHiddenItemsExceptions (p, patron)
  - OpacAllowPublicListCreation (p)
  - OpacAllowSharingPrivateLists (p)
  - BlockExpiredPatronOpacActions (whitespace)
  - MaxOpenSuggestions (p)
  - AnonSuggestions (p)
  - OPACPrivacy (p, whitespace)
  - AnonymousPatron (c,p)
  - TrackClicks (p)
  - RestrictedPageLocalIPs (p)
  - RestrictedPageTitle (p)
  - OpacAdvSearchOptions (p)
  - OpacAdvSearchMoreOptions (p)
  - PayPal* (p)
  - OPACUserSummary (mainpage to OPAC start page)
- read correctly.
Comment 8 Katrin Fischer 2020-06-01 10:53:47 UTC
Created attachment 105465 [details] [review]
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences

- (Ending) punctuation (p)
- Capitalization (p)
- Terminology

To test:
- Verify:
  - alphabet (p)
  - TranslateNotics (c)
  - IllLog (p)
  - ReturnLog (returned to checked in)
  - DumpTemplateVars* (HTML)
- read correctly.
Comment 9 Katrin Fischer 2020-06-01 10:53:51 UTC
Created attachment 105466 [details] [review]
Bug 25630: Fix capitalization and terminology for Circulation system preferences

- (Ending) punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - CircSidebar (c)
  - itemBarcodeInputFilter (from to form)
  - HoldsToPullStartDate (preference to system preference)
  - NoticeCSS (c)
  - UpdateTotalIssuesOnCirc (issues to checkouts)
  - ExportRemovefields (p)
  - AllowItemsOnHoldCheckoutSIP (c)
  - OnSiteCheckoutAutoCheck (onsite to on-site)
  - AllowOfflineCirculation (plugin to add-on)
  - AllowFineOverride (add 'system preference')
  - AutomaticItemReturn (returned to checked in)
  - UseTransportCostMatrix (branches to libraries)
  - AllowReturnToBranch (materials to items, return to checkin)
  - RenewalSendNotice (clarify 'messaging preference for 'Item checkout')
  - TransfersMaxDaysWarning (c)
  - noissuescharge (books to items)
  - *NoissuesCharge (add 'system preference')
  - ReturnBeforeExpiry (books to items)
  - NoticeBcc (p)
  - OverdueNoticeCalendar (c, p)
  - OverduesBlockCirc (p)
  - DefaultLongOverdueChargeValue (whitespace after :)
  - OPACFineNoRenewalsBlockAutoRenew (c)
  - RenewAccruingItemWhenPaid (p, c, syspref to system preference)
  - RenewAccruingItemInOpac (p, c, syspref to system preference)
  - HoldsSplitQueue (staff interface)
  - StaffSearchResultsDisplayBranch (staff interface, rephrase)
  - HidePersonalPatronDetailOnCirculation (rephrase)
  - StoreLastBorrower (add 'system preferences')
  - HoldsSplitQueue (& to and, staff interface)
  - HouseboundModule (p)
  - StockRotation (p)
  - ArticleRequests* (p)
  - ClaimReturnedLostValue (rephrase)
Comment 10 Katrin Fischer 2020-06-01 10:53:54 UTC
Created attachment 105467 [details] [review]
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AuthDisplayHierarchy (biblio to bibliographic)
  - MARCAuthorityControlField008 (p)
  - UNIMARCAuthorityField100 (p)
  - LinkerModule (c)
  - LinkerOptions (p)
  - SpineLabelShowPrintOnBibDetails (bib to bibliographic)
  - DefaultLanguageField008 (p)
  - DefaultCountryField008 (p)
  - SubfieldsToAllowForRestricted* (p, rephrase)
  - URLLinkText (added 'and items' - new with 20.05)
  - IntranetBiblioDefaultView (c)
  - MergeReportFields (rephrase)
  - BibtexExportAdditionalFields (marc to MARC)
Comment 11 Katrin Fischer 2020-06-01 10:53:58 UTC
Created attachment 105468 [details] [review]
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AccountAutoReconcile (Do not to Don't for consistency with other prefs)
  - IndependentBranchesPatronModifications (p)
  - IndependentBranchesTransfers (p)
  - GoogleOpenIDConnect (google to Google)
  - UsageStatsLibrariesInfo (c)
  - opacSerialDefaultTab (c)
  - StaffSerialIssueDisplayCount (staff interface)
  - SubscriptionDuplicateDroppedInput (c)
Comment 12 David Nind 2020-06-24 09:27:17 UTC
Created attachment 106230 [details] [review]
Bug 25630: Fix capitalization and terminology for Staff interface system preferences

This changes "staff client" to "staff interface" and fixes capitalization
in a couple of cases.

For terminology changes see:
https://wiki.koha-community.org/wiki/Terminology#S

To test:
- Read through the preferences of the "staff interface" tab.
- Staff interface should be used consistently.
- Firefox "PlugIn" was changed to "add-on" reflecting Mozilla's
  own terminology.

Signed-off-by: David Nind <david@davidnind.com>
Comment 13 David Nind 2020-06-24 09:27:21 UTC
Created attachment 106231 [details] [review]
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences

- Rephrases LoadSearchHistoryToTheFirstLoggedUser system preference
- Consistently use "staff interface"
- Add ending punctuation to some preferences

To test:
- Read through the Searching system preferences
- Verify consistent use of staff interface
- Verify LoadSearchHistoryToTheFirstLoggedUser description is
  improved

Signed-off-by: David Nind <david@davidnind.com>
Comment 14 David Nind 2020-06-24 09:27:26 UTC
Created attachment 106232 [details] [review]
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences

- Adds some ending punctuation
- Fixes capitalization
- Consistent use of "staff interface"

To test:
- Verify:
  - NewsAuthorDisplay
  - EmailPurchaseSuggestions
  - UseACQFrameworkForBiblioRecords
  - AcqItemSetSubfieldsWhenReceived
  - AcqItemSetSubfieldsWhenReceiptIsCancelled
  - OrderPriceRounding
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 15 David Nind 2020-06-24 09:27:32 UTC
Created attachment 106233 [details] [review]
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences

- Fixes capitalization, including URL and OPAC
- Consistent use of "staff interface"
- Ending punctuation
- Spelling: web service

To test:
- Verify:
  - Enhanced content page heading
  - Babeltheque_url_js
  - Babeltheque_url_update
  - FRBRizeEditions
  - BakerTaylorEnabled
  - NovelistSelectStaffProfile
  - NovelistSelectStaffEnabled
  - CustomCoverImages
  - LocalCoverImages
  - IntranetCoce
  - AutoShareWithMana
  - OAI-PMH:AutoUpdateSets
  - IdRef
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 16 David Nind 2020-06-24 09:27:36 UTC
Created attachment 106234 [details] [review]
Bug 25630: Fix capitalization and terminology for Patrons system preferences

- Consistent use of 'staff interface'
- Ending punctuation
- Rearranged/rephrased for better readability

To test:
- Verify:
  - patronimages
  - PatronsPerPage (rearranged)
  - PatronQuickAddFields (rearranged)
  - PrefillGuaranteeField (punctuation)
  - borrowerRelationship (punctuation)
  - GDPR_Policy
  - CollapseFieldsPatronAddForm
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 17 David Nind 2020-06-24 09:27:40 UTC
Created attachment 106235 [details] [review]
Bug 25630: Fix capitalization and terminology for OPAC system preferences

- Ending punctuation (p)
- Capitalization (c)
- Terminology: library instead of branch, patron instead of borrower,
  system preferences instead of syspref

To test:
- Verify:
  - OPACUserSummary (p, rephrase: mainpage)
  - HighlightOwnItemsOnOPACWhich (library)
  - OPACXSLTListsDisplay (p)
  - OPACXSLTResultsDisplay (p)
  - OPACXSLTDetailsDisplay (p)
  - OpacNoItemTypeImages (p)
  - NotHighlightedWords (p)
  - opaclayoutstylesheet (CSS)
  - OPACReportProblem (c)
  - OpacBrowser (p)
  - OpacCloud (p)
  - SocialNetworks (p)
  - QuoteOfTheDay (c,p)
  - OpacNewsLibrarySelect (library)
  - OPACFineNoRenewalsIncludeCredits (p)
  - AllowPurchaseSuggestionBranchChoice (p)
  - OpacHiddenItemsExceptions (p, patron)
  - OpacAllowPublicListCreation (p)
  - OpacAllowSharingPrivateLists (p)
  - BlockExpiredPatronOpacActions (whitespace)
  - MaxOpenSuggestions (p)
  - AnonSuggestions (p)
  - OPACPrivacy (p, whitespace)
  - AnonymousPatron (c,p)
  - TrackClicks (p)
  - RestrictedPageLocalIPs (p)
  - RestrictedPageTitle (p)
  - OpacAdvSearchOptions (p)
  - OpacAdvSearchMoreOptions (p)
  - PayPal* (p)
  - OPACUserSummary (mainpage to OPAC start page)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 18 David Nind 2020-06-24 09:27:46 UTC
Created attachment 106236 [details] [review]
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences

- (Ending) punctuation (p)
- Capitalization (p)
- Terminology

To test:
- Verify:
  - alphabet (p)
  - TranslateNotics (c)
  - IllLog (p)
  - ReturnLog (returned to checked in)
  - DumpTemplateVars* (HTML)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 19 David Nind 2020-06-24 09:27:53 UTC
Created attachment 106237 [details] [review]
Bug 25630: Fix capitalization and terminology for Circulation system preferences

- (Ending) punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - CircSidebar (c)
  - itemBarcodeInputFilter (from to form)
  - HoldsToPullStartDate (preference to system preference)
  - NoticeCSS (c)
  - UpdateTotalIssuesOnCirc (issues to checkouts)
  - ExportRemovefields (p)
  - AllowItemsOnHoldCheckoutSIP (c)
  - OnSiteCheckoutAutoCheck (onsite to on-site)
  - AllowOfflineCirculation (plugin to add-on)
  - AllowFineOverride (add 'system preference')
  - AutomaticItemReturn (returned to checked in)
  - UseTransportCostMatrix (branches to libraries)
  - AllowReturnToBranch (materials to items, return to checkin)
  - RenewalSendNotice (clarify 'messaging preference for 'Item checkout')
  - TransfersMaxDaysWarning (c)
  - noissuescharge (books to items)
  - *NoissuesCharge (add 'system preference')
  - ReturnBeforeExpiry (books to items)
  - NoticeBcc (p)
  - OverdueNoticeCalendar (c, p)
  - OverduesBlockCirc (p)
  - DefaultLongOverdueChargeValue (whitespace after :)
  - OPACFineNoRenewalsBlockAutoRenew (c)
  - RenewAccruingItemWhenPaid (p, c, syspref to system preference)
  - RenewAccruingItemInOpac (p, c, syspref to system preference)
  - HoldsSplitQueue (staff interface)
  - StaffSearchResultsDisplayBranch (staff interface, rephrase)
  - HidePersonalPatronDetailOnCirculation (rephrase)
  - StoreLastBorrower (add 'system preferences')
  - HoldsSplitQueue (& to and, staff interface)
  - HouseboundModule (p)
  - StockRotation (p)
  - ArticleRequests* (p)
  - ClaimReturnedLostValue (rephrase)

Signed-off-by: David Nind <david@davidnind.com>
Comment 20 David Nind 2020-06-24 09:27:57 UTC
Created attachment 106238 [details] [review]
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AuthDisplayHierarchy (biblio to bibliographic)
  - MARCAuthorityControlField008 (p)
  - UNIMARCAuthorityField100 (p)
  - LinkerModule (c)
  - LinkerOptions (p)
  - SpineLabelShowPrintOnBibDetails (bib to bibliographic)
  - DefaultLanguageField008 (p)
  - DefaultCountryField008 (p)
  - SubfieldsToAllowForRestricted* (p, rephrase)
  - URLLinkText (added 'and items' - new with 20.05)
  - IntranetBiblioDefaultView (c)
  - MergeReportFields (rephrase)
  - BibtexExportAdditionalFields (marc to MARC)

Signed-off-by: David Nind <david@davidnind.com>
Comment 21 David Nind 2020-06-24 09:28:01 UTC
Created attachment 106239 [details] [review]
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AccountAutoReconcile (Do not to Don't for consistency with other prefs)
  - IndependentBranchesPatronModifications (p)
  - IndependentBranchesTransfers (p)
  - GoogleOpenIDConnect (google to Google)
  - UsageStatsLibrariesInfo (c)
  - opacSerialDefaultTab (c)
  - StaffSerialIssueDisplayCount (staff interface)
  - SubscriptionDuplicateDroppedInput (c)

Signed-off-by: David Nind <david@davidnind.com>
Comment 22 David Nind 2020-06-24 09:30:27 UTC
An awesome set of patches Katrin!

I'll post a follow-up patch shortly with some additional things I noted when testing.
Comment 23 David Nind 2020-06-24 22:34:50 UTC
Created attachment 106266 [details] [review]
Bug 25630: (follow-up) Fix capitalization and terminology for system preferences

Additional capitalization, punctuation, terminolgy and improvements to
text for system preferences:

- Punctuation (such as full stops at the end of sentences)
- Capitalization
- Terminology (staff interface, use of "Don't" instead of "Do not")
- Rearranged/rephrased for better readability

To test:
- Verify that the changes listed are consistent and make sense.
- Check that on the staff interface home page that the window title says
"Koha staff interface".
- Verify that in system preferences the name of the tab for Staff
interface displays correctly, and that clicking on it brings up the
staff interface preferences.
- For Patrons > CollapseFieldsPatronAddForm check that the edit and add
patron form works correctly (edit a patron, add a new patron, check that
labels display correctly).

Staff interface home page
-------------------------

- Change the page title in browser from "Koha staff client" to "Koha
staff interface".

Administration
--------------

Google OpenID Connect:
. GoogleOpenIDConnectAutoRegister: change "Don't Allow" to "Don't allow"
and change "users" to "patrons".
. GoogleOpenIDConnectDefaultBranch: move the input field to the end of
the sentence.
. GoogleOpenIDConnectDefaultCategory: move the input field to the end of
the sentence.
. GoogleOpenIDConnectDomain: reword to "Restrict Google OpenID Connect
to domain (or subdomain of this domain): ____. Leave blank for all
Google domains.".

Interface options:
. SendAllEmailsTo: add a full stop.

Share anonymous usage statistics:
. UsageStatsLibrariesInfo: change "Do not share" to "Don't share"; add a
full stop; for note "Don't share" should be "No".
. most preferences: for note "Don't share" should be "No" (don't share)
(for preferences UsageStatsCountry, UsageStatsGeolocation,
UsageStatsLibrariesInfo, UsageStatsLibraryName, UsageStatsLibraryType,
and UsageStatsLibraryUrl), various edits to make more readable and
consistent.

Authorities
-----------

General
. AuthorityControlledIndicators: change "biblio field" to "bibliographic
field".
. AutoCreateAuthorities: change "do not generate" to "don't generate".

Linker:
. CatalogModuleRelink: change "Do not" to "Don't".
. LinkerKeepStale: change "Do not" to "Don't".
. LinkerModule: change "Default" to "default".
. LinkerOptions: add a full stop.
. LinkerRelink: change "Do not" to "Don't".

Cataloguing
-----------

Display:
. MergeReportFields: change "example:" to "Example:"

Exporting:
. BibtexExportAdditionalFields and RisExportAdditionalFields: change
"Include following" to "Include the following"; add ":" at end of
sentence, change "specificy" to "specify", and add full stops at end of
complete sentences.

Interface:
. EnableAdvancedCatalogingEditor: format NOTE in bold.

Record structure:
. AlternateHoldingsField: change "(This" to "(this", change "; for
instance" to ", for example", remove full stop.
, MarcFieldForCreatorId: format NOTE in bold.
. SubfieldsToAllowForRestrictedBatchmod: change "pref" to "system
preference".

Circulation
-----------

Batch checkout:
. BatchCheckoutsValidCategories: add a full stop.

Checkin policy:
. CalculateFinesOnReturn: only bold "NOTE", not the whole sentence (x2).
. StoreLastBorrower: change "opacreadinghistory/AnonymousPatron" to "the
opacreadinghistory and AnonymousPatron".
. UpdateItemLocationOnCheckin: change note "for these locations only can
location and permanent_location differ," to "for these locations the
location and permanent_location can differ,"
. UpdateNotForLoanStatusOnCheckin: change "E.g.," to "For example,"

Checkout policy:
. AgeRestrictionMarker: change "E.g.," to ". For example,"
. AllFinesNeedOverride: change "system preference noissuescharge" to
"the noissuescharge system preference".
. AllowFineOverride: add "the" before "noissuescharge".
. AllowRenewalLimitOverride: change "with respect to" to "for".
. AutoRemoveOverduesRestrictions: change "Do not" to "Don't".
. DefaultLongOverdueChargeValue: change "user" to "patron".
. ItemsDeniedRenewal: change . "e.g.," to "For example:", format the
note the same as other notes with NOTE in bold.
. OnSiteCheckoutsForce: change "on-site" to "on-site checkout", "(Even"
to "(even", and "user" to "patron".
. RentalFeesCheckoutConfirmation: change "do not ask" to "don't ask".
. RestrictionBlockRenewing: change "If patron" to "If a patron", change
"Allow" and "Block" to "allow" and "block".
. UseTransportCostMatrix: "Transport" to "the transport".

Interface:
. AllowOfflineCirculation: change "Do not enable" to "Don't enable".
. ExportRemoveFields: add a full stop.
. ShowAllCheckins: change "Do not show" to "Don't show".
. UpdateTotalIssuesOnCirc: change "Do not" to "Don't".

Interlibrary loans:
. CirculateILL: add a full stop.
. ILLCheckAvailability: add a full stop.

Self check-in module (sci-main.pl):
. SelfCheckInModule: change "module. (available" to "module (available",
add a full stop.

Self check-out module (sco-main.pl):
. AutoSelfCheckAllowed: change "automatically login" to "automatically
log in".
. WebBasedSelfCheck: change "system. (available" to "system (available",
add a full stop.

Enhanced content
----------------

Novelist Select:
. NovelistSelectStaffView: change "staff" to "staff interface".

Babelthèque:
. Babeltheque_url_js: rewitten
   . from "______ Defined the URL for the Babeltheque javascript file
(eg. http://www.babeltheque.com/bw_XX.js)"
   . to "Use this URL for the Babelthèque javascript file: ________
(e.g. http://www.babeltheque.com/bw_XX.js)."
. Babeltheque_url_update: rewritten
   . from "______ Defined the URL for the Babeltheque update
periodically (eq. http://www.babeltheque.com/.../file.csv.bz2)."
   . to "Use this URL for the Babelthèque periodic update: _______ (e.g.
http://www.babeltheque.com/.../file.csv.bz2)."

I18N/L10N
---------

. dateformat and TimeFormat: Change "Note" to "NOTE" to be consistent
with other notes, change <b> tag to <strong> as it is more semantically
correct.

Logs
----

Debugging:
. DumpTemplateVarsIntranet: change "variable" to "variables" and "staff
intranet" to "staff interface".
. DumpTemplateVarsOpac: change "variable" to "variables".

Logging:
. AuthFailureLog: add full stop.
. AuthSuccessLog: add full stop.

OPAC
----

Appearance:
. BiblioDefaultView: change "bib" to "bibliographic".
. HighlightOwnItemsOnOPAC: change ". (Non-XSLT Only)" to " (non-XSLT
only).".
. OpacAdditionalStylesheet: change "specified" to "specific".
. OPACDisplay856uAsImage: change all options in the drop down list so
they start in lowercase.
. OpacHighlightedWords: change ";" to a full stop, add a full stop at
the end.
. OPACHoldingsDefaultSortField: add a full stop.
. OpacMaxItemsToDisplay: change "user" to "patron".
. OPACMySummaryHTML: change "user" to "patron".
. OpacSeparateHoldings: change "user's to "patron's".
. OpacStarRatings: change "user" to "patron" for the drop down option.
. OPACShowUnusedAuthorities: change "Do not show" to "Don't show".
. OPACUserSummary: change "user's to "patron's", change "fines" to
"charges".
. OPACXSLT*: change "Leave" to "leave".
. Remove empty row at bottom of appearance options.

Features:
. OpacBrowser: change "OPAC" to "the OPAC".
. OpacBrowseSearch: reword as "[Enable/Disable] interface for browsing
all holdings (Elasticsearch only)."
. OpacCloud: change "OPAC" to "the OPAC".
. OPACDetailQRCode: change "Don't enable" to "Disable".
. OPACFinesTab: change "Fines" to "charges", change "the My Accouunt" to
"their account". (Should now show as "..patrons to access the charges
tab on their account page on the OPAC."
. OpacHoldNotes: change "Do not allow" to "Don't allow", change "users"
to "patrons".
. QuoteOfTheDay: change "Quote" to "quote" and "OPAC" to "the OPAC".
. OpacResetPassword: change "users" to "patrons", add full stop.
. SocialNetworks: change "in opac" to "on the OPAC".

Note: Also deleted lines with # in front of them for the OpacBrowser and
OpacCloud system preferences in the Policy section - these look like
duplicated entries to me (previously lines 600-611).

Policy:
. OPACFineNoRenewalsIncludeCredits: change "users" to "patrons".

Self registration and modification:
. PatronSelfRegistrationConfirmEmail: change "Do not require" to "Don't
require", change "users" to "patrons".
. PatronSelfRegistrationEmailMustBeUnique: change "Do not consider" to
"Don't consider".
. PatronSelfRegistrationPrefillForm: change "Do not display and prefill"
to "Don't display and prefill".

Patrons
-------

General:
. AllowPatronToControlAutorenewal: add full stop.

Notices and notifications:
. EnhancedMessagingPreferences: change "Staff" to "staff".
- FallbackToSMSIfNoEmail: change "Send" to "sending".

Patron forms:
. BorrowerUnwantedField: add full stop.
. CollapseFieldsPatronAddForm:
  . Dropdown list changes:
     .. "Organization/Patron identity" => "Patron identity".
     .. "OPAC/Staff login" to "OPAC/Staff interface login".
  . Requires changes to the memberentrygen.tt - check that the add and
edit form for a patron dispaly correctly:
     .. change "Contact" to "Contact information".
     .. change "Library set-up" to "Library setup".
     .. change "OPAC/Staff login" to "OPAC/Staff interface login".

Patron relationships:
. PrefillGuaranteeField: change drop down list option "Main address -
street number" to "Main address - Street number" to match with format of
other entries.

Security:
. RequireStrongPassword: change "More" to "more".

Searching
---------

Search form:
. AdvancedSearchTypes: change "staff-side" to "staff interface".
. expandedSearchOption: change "staff" to "staff interface".

Serials
-------

. makePreviousSerialAvailable: change "Do not make" to Don't make";
"syspref" to "system preference".
. PreserveSerialNotes: change "Do not" to "Don't".
. RoutingListNote: change "Include following" to "Include the following"

Staff interface
---------------

Tab label and link:
. This tab was previously labelled "Staff client".
. Change tab label on the left hand side from "Staff client" to "Staff
interface".
. Change URL when selected from "preferences.pl?tab=staff_client" to
"preferences.pl?tab=staff_interface".
. Check that the link works as expected.

Appearance:
. IntranetFavicon: change "Staff" to "staff".

Tools
-----

Reports:
. NumSavedReports: change "Saved reports page" to "saved reports page".

Web services
------------

IdRef:
. IdRef: change "allows to request" to "allows requests for".
Comment 24 David Nind 2020-06-24 22:36:56 UTC
I hope I've done this right, and didn't get too carried away!

Let me know if this should be a separate bug... or any erros or corrections required.
Comment 25 Julian Maurice 2020-07-03 06:44:43 UTC
Patch does not apply anymore, can you rebase it please ?
Comment 26 Katrin Fischer 2020-07-18 16:42:39 UTC
I could rebase my patches without issues, but I am struggling with David's follow up:

Applying: Bug 25630: (follow-up) Fix capitalization and terminology for system preferences
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref).
error: could not build fake ancestor
Patch failed at 0001 Bug 25630: (follow-up) Fix capitalization and terminology for system preferences
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-25630-follow-up-Fix-capitalization-and-termino-Mizn9l.patch
 
I'll put my rebased patches here - maybe someone can help with the last one?
Comment 27 Katrin Fischer 2020-07-18 16:47:46 UTC
Created attachment 107058 [details] [review]
Bug 25909: Recent change to datatables JS in the OPAC causes errors

This patch reverts some changes made by Bug 25287 which prematurely
introduced the double-underscore i18n function. The i18n features
haven't been fully implemented in the OPAC.

Some lines are reverts to the previous version, and some are additions,
for instance where Bug 25287 introduced new DataTables features and a
new string translation is required.

In addition to i18n changes, the patch also reverts the default
configuration of DataTables in the OPAC so that the "dom" configuration
option is set back to "t." This turns off features like pagination
buttons, filters, etc. which were previously disabled by default.

Enabling these features requires revision to the OPAC CSS in order for
them to display well.

To test, apply the patch and view a page in the OPAC which includes a
DataTable. For instance: checkouts on the "your summary" page, serial
issues on the "full subscription history" page.

Tables should display correctly and sorting should work correctly. There
should be no other DataTables controls visible.

To test translatability:

To test, apply the patch and test that the correct strings are
translatable. In this example I'm testing fr-FR:

    - Update a translation:

      > cd misc/translator
      > perl translate update fr-FR

    - Open the corresponding .po file for the strings pulled from
      the templates  e.g.  misc/translator/po/fr-FR-opac-bootstrap.po
    - Locate strings pulled from bootstrap/en/includes/datatables.inc
      for translation, e.g.:

      #. SCRIPT
      #: opac-tmpl/bootstrap/en/includes/datatables.inc:4
      msgid "Copy to clipboard"
      msgstr ""

    - Edit the "msgstr" string however you want (it's just for testing)
    - Install the updated translation:

      > perl translate install fr-FR

Open the translated copy of datatables.inc and confirm that the
translated string appears.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 28 Katrin Fischer 2020-07-18 16:48:45 UTC
Created attachment 107059 [details] [review]
Bug 25630: Fix capitalization and terminology for Staff interface system preferences

This changes "staff client" to "staff interface" and fixes capitalization
in a couple of cases.

For terminology changes see:
https://wiki.koha-community.org/wiki/Terminology#S

To test:
- Read through the preferences of the "staff interface" tab.
- Staff interface should be used consistently.
- Firefox "PlugIn" was changed to "add-on" reflecting Mozilla's
  own terminology.

Signed-off-by: David Nind <david@davidnind.com>
Comment 29 Katrin Fischer 2020-07-18 16:48:49 UTC
Created attachment 107060 [details] [review]
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences

- Rephrases LoadSearchHistoryToTheFirstLoggedUser system preference
- Consistently use "staff interface"
- Add ending punctuation to some preferences

To test:
- Read through the Searching system preferences
- Verify consistent use of staff interface
- Verify LoadSearchHistoryToTheFirstLoggedUser description is
  improved

Signed-off-by: David Nind <david@davidnind.com>
Comment 30 Katrin Fischer 2020-07-18 16:48:52 UTC
Created attachment 107061 [details] [review]
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences

- Adds some ending punctuation
- Fixes capitalization
- Consistent use of "staff interface"

To test:
- Verify:
  - NewsAuthorDisplay
  - EmailPurchaseSuggestions
  - UseACQFrameworkForBiblioRecords
  - AcqItemSetSubfieldsWhenReceived
  - AcqItemSetSubfieldsWhenReceiptIsCancelled
  - OrderPriceRounding
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 31 Katrin Fischer 2020-07-18 16:48:56 UTC
Created attachment 107062 [details] [review]
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences

- Fixes capitalization, including URL and OPAC
- Consistent use of "staff interface"
- Ending punctuation
- Spelling: web service

To test:
- Verify:
  - Enhanced content page heading
  - Babeltheque_url_js
  - Babeltheque_url_update
  - FRBRizeEditions
  - BakerTaylorEnabled
  - NovelistSelectStaffProfile
  - NovelistSelectStaffEnabled
  - CustomCoverImages
  - LocalCoverImages
  - IntranetCoce
  - AutoShareWithMana
  - OAI-PMH:AutoUpdateSets
  - IdRef
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 32 Katrin Fischer 2020-07-18 16:49:02 UTC
Created attachment 107063 [details] [review]
Bug 25630: Fix capitalization and terminology for Patrons system preferences

- Consistent use of 'staff interface'
- Ending punctuation
- Rearranged/rephrased for better readability

To test:
- Verify:
  - patronimages
  - PatronsPerPage (rearranged)
  - PatronQuickAddFields (rearranged)
  - PrefillGuaranteeField (punctuation)
  - borrowerRelationship (punctuation)
  - GDPR_Policy
  - CollapseFieldsPatronAddForm
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 33 Katrin Fischer 2020-07-18 16:49:06 UTC
Created attachment 107064 [details] [review]
Bug 25630: Fix capitalization and terminology for OPAC system preferences

- Ending punctuation (p)
- Capitalization (c)
- Terminology: library instead of branch, patron instead of borrower,
  system preferences instead of syspref

To test:
- Verify:
  - OPACUserSummary (p, rephrase: mainpage)
  - HighlightOwnItemsOnOPACWhich (library)
  - OPACXSLTListsDisplay (p)
  - OPACXSLTResultsDisplay (p)
  - OPACXSLTDetailsDisplay (p)
  - OpacNoItemTypeImages (p)
  - NotHighlightedWords (p)
  - opaclayoutstylesheet (CSS)
  - OPACReportProblem (c)
  - OpacBrowser (p)
  - OpacCloud (p)
  - SocialNetworks (p)
  - QuoteOfTheDay (c,p)
  - OpacNewsLibrarySelect (library)
  - OPACFineNoRenewalsIncludeCredits (p)
  - AllowPurchaseSuggestionBranchChoice (p)
  - OpacHiddenItemsExceptions (p, patron)
  - OpacAllowPublicListCreation (p)
  - OpacAllowSharingPrivateLists (p)
  - BlockExpiredPatronOpacActions (whitespace)
  - MaxOpenSuggestions (p)
  - AnonSuggestions (p)
  - OPACPrivacy (p, whitespace)
  - AnonymousPatron (c,p)
  - TrackClicks (p)
  - RestrictedPageLocalIPs (p)
  - RestrictedPageTitle (p)
  - OpacAdvSearchOptions (p)
  - OpacAdvSearchMoreOptions (p)
  - PayPal* (p)
  - OPACUserSummary (mainpage to OPAC start page)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 34 Katrin Fischer 2020-07-18 16:49:09 UTC
Created attachment 107065 [details] [review]
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences

- (Ending) punctuation (p)
- Capitalization (p)
- Terminology

To test:
- Verify:
  - alphabet (p)
  - TranslateNotics (c)
  - IllLog (p)
  - ReturnLog (returned to checked in)
  - DumpTemplateVars* (HTML)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 35 Katrin Fischer 2020-07-18 16:49:15 UTC
Created attachment 107066 [details] [review]
Bug 25630: Fix capitalization and terminology for Circulation system preferences

- (Ending) punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - CircSidebar (c)
  - itemBarcodeInputFilter (from to form)
  - HoldsToPullStartDate (preference to system preference)
  - NoticeCSS (c)
  - UpdateTotalIssuesOnCirc (issues to checkouts)
  - ExportRemovefields (p)
  - AllowItemsOnHoldCheckoutSIP (c)
  - OnSiteCheckoutAutoCheck (onsite to on-site)
  - AllowOfflineCirculation (plugin to add-on)
  - AllowFineOverride (add 'system preference')
  - AutomaticItemReturn (returned to checked in)
  - UseTransportCostMatrix (branches to libraries)
  - AllowReturnToBranch (materials to items, return to checkin)
  - RenewalSendNotice (clarify 'messaging preference for 'Item checkout')
  - TransfersMaxDaysWarning (c)
  - noissuescharge (books to items)
  - *NoissuesCharge (add 'system preference')
  - ReturnBeforeExpiry (books to items)
  - NoticeBcc (p)
  - OverdueNoticeCalendar (c, p)
  - OverduesBlockCirc (p)
  - DefaultLongOverdueChargeValue (whitespace after :)
  - OPACFineNoRenewalsBlockAutoRenew (c)
  - RenewAccruingItemWhenPaid (p, c, syspref to system preference)
  - RenewAccruingItemInOpac (p, c, syspref to system preference)
  - HoldsSplitQueue (staff interface)
  - StaffSearchResultsDisplayBranch (staff interface, rephrase)
  - HidePersonalPatronDetailOnCirculation (rephrase)
  - StoreLastBorrower (add 'system preferences')
  - HoldsSplitQueue (& to and, staff interface)
  - HouseboundModule (p)
  - StockRotation (p)
  - ArticleRequests* (p)
  - ClaimReturnedLostValue (rephrase)

Signed-off-by: David Nind <david@davidnind.com>
Comment 36 Katrin Fischer 2020-07-18 16:49:19 UTC
Created attachment 107067 [details] [review]
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AuthDisplayHierarchy (biblio to bibliographic)
  - MARCAuthorityControlField008 (p)
  - UNIMARCAuthorityField100 (p)
  - LinkerModule (c)
  - LinkerOptions (p)
  - SpineLabelShowPrintOnBibDetails (bib to bibliographic)
  - DefaultLanguageField008 (p)
  - DefaultCountryField008 (p)
  - SubfieldsToAllowForRestricted* (p, rephrase)
  - URLLinkText (added 'and items' - new with 20.05)
  - IntranetBiblioDefaultView (c)
  - MergeReportFields (rephrase)
  - BibtexExportAdditionalFields (marc to MARC)

Signed-off-by: David Nind <david@davidnind.com>
Comment 37 Katrin Fischer 2020-07-18 16:49:23 UTC
Created attachment 107068 [details] [review]
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AccountAutoReconcile (Do not to Don't for consistency with other prefs)
  - IndependentBranchesPatronModifications (p)
  - IndependentBranchesTransfers (p)
  - GoogleOpenIDConnect (google to Google)
  - UsageStatsLibrariesInfo (c)
  - opacSerialDefaultTab (c)
  - StaffSerialIssueDisplayCount (staff interface)
  - SubscriptionDuplicateDroppedInput (c)

Signed-off-by: David Nind <david@davidnind.com>
Comment 38 Katrin Fischer 2020-08-14 12:28:56 UTC
Created attachment 108260 [details] [review]
Bug 25630: Fix capitalization and terminology for Staff interface system preferences

This changes "staff client" to "staff interface" and fixes capitalization
in a couple of cases.

For terminology changes see:
https://wiki.koha-community.org/wiki/Terminology#S

To test:
- Read through the preferences of the "staff interface" tab.
- Staff interface should be used consistently.
- Firefox "PlugIn" was changed to "add-on" reflecting Mozilla's
  own terminology.

Signed-off-by: David Nind <david@davidnind.com>
Comment 39 Katrin Fischer 2020-08-14 12:29:04 UTC
Created attachment 108261 [details] [review]
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences

- Rephrases LoadSearchHistoryToTheFirstLoggedUser system preference
- Consistently use "staff interface"
- Add ending punctuation to some preferences

To test:
- Read through the Searching system preferences
- Verify consistent use of staff interface
- Verify LoadSearchHistoryToTheFirstLoggedUser description is
  improved

Signed-off-by: David Nind <david@davidnind.com>
Comment 40 Katrin Fischer 2020-08-14 12:29:11 UTC
Created attachment 108262 [details] [review]
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences

- Adds some ending punctuation
- Fixes capitalization
- Consistent use of "staff interface"

To test:
- Verify:
  - NewsAuthorDisplay
  - EmailPurchaseSuggestions
  - UseACQFrameworkForBiblioRecords
  - AcqItemSetSubfieldsWhenReceived
  - AcqItemSetSubfieldsWhenReceiptIsCancelled
  - OrderPriceRounding
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 41 Katrin Fischer 2020-08-14 12:29:19 UTC
Created attachment 108263 [details] [review]
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences

- Fixes capitalization, including URL and OPAC
- Consistent use of "staff interface"
- Ending punctuation
- Spelling: web service

To test:
- Verify:
  - Enhanced content page heading
  - Babeltheque_url_js
  - Babeltheque_url_update
  - FRBRizeEditions
  - BakerTaylorEnabled
  - NovelistSelectStaffProfile
  - NovelistSelectStaffEnabled
  - CustomCoverImages
  - LocalCoverImages
  - IntranetCoce
  - AutoShareWithMana
  - OAI-PMH:AutoUpdateSets
  - IdRef
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 42 Katrin Fischer 2020-08-14 12:29:26 UTC
Created attachment 108264 [details] [review]
Bug 25630: Fix capitalization and terminology for Patrons system preferences

- Consistent use of 'staff interface'
- Ending punctuation
- Rearranged/rephrased for better readability

To test:
- Verify:
  - patronimages
  - PatronsPerPage (rearranged)
  - PatronQuickAddFields (rearranged)
  - PrefillGuaranteeField (punctuation)
  - borrowerRelationship (punctuation)
  - GDPR_Policy
  - CollapseFieldsPatronAddForm
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 43 Katrin Fischer 2020-08-14 12:29:33 UTC
Created attachment 108265 [details] [review]
Bug 25630: Fix capitalization and terminology for OPAC system preferences

- Ending punctuation (p)
- Capitalization (c)
- Terminology: library instead of branch, patron instead of borrower,
  system preferences instead of syspref

To test:
- Verify:
  - OPACUserSummary (p, rephrase: mainpage)
  - HighlightOwnItemsOnOPACWhich (library)
  - OPACXSLTListsDisplay (p)
  - OPACXSLTResultsDisplay (p)
  - OPACXSLTDetailsDisplay (p)
  - OpacNoItemTypeImages (p)
  - NotHighlightedWords (p)
  - opaclayoutstylesheet (CSS)
  - OPACReportProblem (c)
  - OpacBrowser (p)
  - OpacCloud (p)
  - SocialNetworks (p)
  - QuoteOfTheDay (c,p)
  - OpacNewsLibrarySelect (library)
  - OPACFineNoRenewalsIncludeCredits (p)
  - AllowPurchaseSuggestionBranchChoice (p)
  - OpacHiddenItemsExceptions (p, patron)
  - OpacAllowPublicListCreation (p)
  - OpacAllowSharingPrivateLists (p)
  - BlockExpiredPatronOpacActions (whitespace)
  - MaxOpenSuggestions (p)
  - AnonSuggestions (p)
  - OPACPrivacy (p, whitespace)
  - AnonymousPatron (c,p)
  - TrackClicks (p)
  - RestrictedPageLocalIPs (p)
  - RestrictedPageTitle (p)
  - OpacAdvSearchOptions (p)
  - OpacAdvSearchMoreOptions (p)
  - PayPal* (p)
  - OPACUserSummary (mainpage to OPAC start page)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 44 Katrin Fischer 2020-08-14 12:29:41 UTC
Created attachment 108266 [details] [review]
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences

- (Ending) punctuation (p)
- Capitalization (p)
- Terminology

To test:
- Verify:
  - alphabet (p)
  - TranslateNotics (c)
  - IllLog (p)
  - ReturnLog (returned to checked in)
  - DumpTemplateVars* (HTML)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 45 Katrin Fischer 2020-08-14 12:29:50 UTC
Created attachment 108267 [details] [review]
Bug 25630: Fix capitalization and terminology for Circulation system preferences

- (Ending) punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - CircSidebar (c)
  - itemBarcodeInputFilter (from to form)
  - HoldsToPullStartDate (preference to system preference)
  - NoticeCSS (c)
  - UpdateTotalIssuesOnCirc (issues to checkouts)
  - ExportRemovefields (p)
  - AllowItemsOnHoldCheckoutSIP (c)
  - OnSiteCheckoutAutoCheck (onsite to on-site)
  - AllowOfflineCirculation (plugin to add-on)
  - AllowFineOverride (add 'system preference')
  - AutomaticItemReturn (returned to checked in)
  - UseTransportCostMatrix (branches to libraries)
  - AllowReturnToBranch (materials to items, return to checkin)
  - RenewalSendNotice (clarify 'messaging preference for 'Item checkout')
  - TransfersMaxDaysWarning (c)
  - noissuescharge (books to items)
  - *NoissuesCharge (add 'system preference')
  - ReturnBeforeExpiry (books to items)
  - NoticeBcc (p)
  - OverdueNoticeCalendar (c, p)
  - OverduesBlockCirc (p)
  - DefaultLongOverdueChargeValue (whitespace after :)
  - OPACFineNoRenewalsBlockAutoRenew (c)
  - RenewAccruingItemWhenPaid (p, c, syspref to system preference)
  - RenewAccruingItemInOpac (p, c, syspref to system preference)
  - HoldsSplitQueue (staff interface)
  - StaffSearchResultsDisplayBranch (staff interface, rephrase)
  - HidePersonalPatronDetailOnCirculation (rephrase)
  - StoreLastBorrower (add 'system preferences')
  - HoldsSplitQueue (& to and, staff interface)
  - HouseboundModule (p)
  - StockRotation (p)
  - ArticleRequests* (p)
  - ClaimReturnedLostValue (rephrase)

Signed-off-by: David Nind <david@davidnind.com>
Comment 46 Katrin Fischer 2020-08-14 12:29:56 UTC
Created attachment 108268 [details] [review]
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AuthDisplayHierarchy (biblio to bibliographic)
  - MARCAuthorityControlField008 (p)
  - UNIMARCAuthorityField100 (p)
  - LinkerModule (c)
  - LinkerOptions (p)
  - SpineLabelShowPrintOnBibDetails (bib to bibliographic)
  - DefaultLanguageField008 (p)
  - DefaultCountryField008 (p)
  - SubfieldsToAllowForRestricted* (p, rephrase)
  - URLLinkText (added 'and items' - new with 20.05)
  - IntranetBiblioDefaultView (c)
  - MergeReportFields (rephrase)
  - BibtexExportAdditionalFields (marc to MARC)

Signed-off-by: David Nind <david@davidnind.com>
Comment 47 Katrin Fischer 2020-08-14 12:30:05 UTC
Created attachment 108269 [details] [review]
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AccountAutoReconcile (Do not to Don't for consistency with other prefs)
  - IndependentBranchesPatronModifications (p)
  - IndependentBranchesTransfers (p)
  - GoogleOpenIDConnect (google to Google)
  - UsageStatsLibrariesInfo (c)
  - opacSerialDefaultTab (c)
  - StaffSerialIssueDisplayCount (staff interface)
  - SubscriptionDuplicateDroppedInput (c)

Signed-off-by: David Nind <david@davidnind.com>
Comment 48 Katrin Fischer 2020-08-14 12:30:12 UTC
Created attachment 108270 [details] [review]
Bug 25630: (follow-up) Fix capitalization and terminology for system preferences

Additional capitalization, punctuation, terminolgy and improvements to
text for system preferences:

- Punctuation (such as full stops at the end of sentences)
- Capitalization
- Terminology (staff interface, use of "Don't" instead of "Do not")
- Rearranged/rephrased for better readability

To test:
- Verify that the changes listed are consistent and make sense.
- Check that on the staff interface home page that the window title says
"Koha staff interface".
- Verify that in system preferences the name of the tab for Staff
interface displays correctly, and that clicking on it brings up the
staff interface preferences.
- For Patrons > CollapseFieldsPatronAddForm check that the edit and add
patron form works correctly (edit a patron, add a new patron, check that
labels display correctly).

Staff interface home page
-------------------------

- Change the page title in browser from "Koha staff client" to "Koha
staff interface".

Administration
--------------

Google OpenID Connect:
. GoogleOpenIDConnectAutoRegister: change "Don't Allow" to "Don't allow"
and change "users" to "patrons".
. GoogleOpenIDConnectDefaultBranch: move the input field to the end of
the sentence.
. GoogleOpenIDConnectDefaultCategory: move the input field to the end of
the sentence.
. GoogleOpenIDConnectDomain: reword to "Restrict Google OpenID Connect
to domain (or subdomain of this domain): ____. Leave blank for all
Google domains.".

Interface options:
. SendAllEmailsTo: add a full stop.

Share anonymous usage statistics:
. UsageStatsLibrariesInfo: change "Do not share" to "Don't share"; add a
full stop; for note "Don't share" should be "No".
. most preferences: for note "Don't share" should be "No" (don't share)
(for preferences UsageStatsCountry, UsageStatsGeolocation,
UsageStatsLibrariesInfo, UsageStatsLibraryName, UsageStatsLibraryType,
and UsageStatsLibraryUrl), various edits to make more readable and
consistent.

Authorities
-----------

General
. AuthorityControlledIndicators: change "biblio field" to "bibliographic
field".
. AutoCreateAuthorities: change "do not generate" to "don't generate".

Linker:
. CatalogModuleRelink: change "Do not" to "Don't".
. LinkerKeepStale: change "Do not" to "Don't".
. LinkerModule: change "Default" to "default".
. LinkerOptions: add a full stop.
. LinkerRelink: change "Do not" to "Don't".

Cataloguing
-----------

Display:
. MergeReportFields: change "example:" to "Example:"

Exporting:
. BibtexExportAdditionalFields and RisExportAdditionalFields: change
"Include following" to "Include the following"; add ":" at end of
sentence, change "specificy" to "specify", and add full stops at end of
complete sentences.

Interface:
. EnableAdvancedCatalogingEditor: format NOTE in bold.

Record structure:
. AlternateHoldingsField: change "(This" to "(this", change "; for
instance" to ", for example", remove full stop.
, MarcFieldForCreatorId: format NOTE in bold.
. SubfieldsToAllowForRestrictedBatchmod: change "pref" to "system
preference".

Circulation
-----------

Batch checkout:
. BatchCheckoutsValidCategories: add a full stop.

Checkin policy:
. CalculateFinesOnReturn: only bold "NOTE", not the whole sentence (x2).
. StoreLastBorrower: change "opacreadinghistory/AnonymousPatron" to "the
opacreadinghistory and AnonymousPatron".
. UpdateItemLocationOnCheckin: change note "for these locations only can
location and permanent_location differ," to "for these locations the
location and permanent_location can differ,"
. UpdateNotForLoanStatusOnCheckin: change "E.g.," to "For example,"

Checkout policy:
. AgeRestrictionMarker: change "E.g.," to ". For example,"
. AllFinesNeedOverride: change "system preference noissuescharge" to
"the noissuescharge system preference".
. AllowFineOverride: add "the" before "noissuescharge".
. AllowRenewalLimitOverride: change "with respect to" to "for".
. AutoRemoveOverduesRestrictions: change "Do not" to "Don't".
. DefaultLongOverdueChargeValue: change "user" to "patron".
. ItemsDeniedRenewal: change . "e.g.," to "For example:", format the
note the same as other notes with NOTE in bold.
. OnSiteCheckoutsForce: change "on-site" to "on-site checkout", "(Even"
to "(even", and "user" to "patron".
. RentalFeesCheckoutConfirmation: change "do not ask" to "don't ask".
. RestrictionBlockRenewing: change "If patron" to "If a patron", change
"Allow" and "Block" to "allow" and "block".
. UseTransportCostMatrix: "Transport" to "the transport".

Interface:
. AllowOfflineCirculation: change "Do not enable" to "Don't enable".
. ExportRemoveFields: add a full stop.
. ShowAllCheckins: change "Do not show" to "Don't show".
. UpdateTotalIssuesOnCirc: change "Do not" to "Don't".

Interlibrary loans:
. CirculateILL: add a full stop.
. ILLCheckAvailability: add a full stop.

Self check-in module (sci-main.pl):
. SelfCheckInModule: change "module. (available" to "module (available",
add a full stop.

Self check-out module (sco-main.pl):
. AutoSelfCheckAllowed: change "automatically login" to "automatically
log in".
. WebBasedSelfCheck: change "system. (available" to "system (available",
add a full stop.

Enhanced content
----------------

Novelist Select:
. NovelistSelectStaffView: change "staff" to "staff interface".

Babelthèque:
. Babeltheque_url_js: rewitten
   . from "______ Defined the URL for the Babeltheque javascript file
(eg. http://www.babeltheque.com/bw_XX.js)"
   . to "Use this URL for the Babelthèque javascript file: ________
(e.g. http://www.babeltheque.com/bw_XX.js)."
. Babeltheque_url_update: rewritten
   . from "______ Defined the URL for the Babeltheque update
periodically (eq. http://www.babeltheque.com/.../file.csv.bz2)."
   . to "Use this URL for the Babelthèque periodic update: _______ (e.g.
http://www.babeltheque.com/.../file.csv.bz2)."

I18N/L10N
---------

. dateformat and TimeFormat: Change "Note" to "NOTE" to be consistent
with other notes, change <b> tag to <strong> as it is more semantically
correct.

Logs
----

Debugging:
. DumpTemplateVarsIntranet: change "variable" to "variables" and "staff
intranet" to "staff interface".
. DumpTemplateVarsOpac: change "variable" to "variables".

Logging:
. AuthFailureLog: add full stop.
. AuthSuccessLog: add full stop.

OPAC
----

Appearance:
. BiblioDefaultView: change "bib" to "bibliographic".
. HighlightOwnItemsOnOPAC: change ". (Non-XSLT Only)" to " (non-XSLT
only).".
. OpacAdditionalStylesheet: change "specified" to "specific".
. OPACDisplay856uAsImage: change all options in the drop down list so
they start in lowercase.
. OpacHighlightedWords: change ";" to a full stop, add a full stop at
the end.
. OPACHoldingsDefaultSortField: add a full stop.
. OpacMaxItemsToDisplay: change "user" to "patron".
. OPACMySummaryHTML: change "user" to "patron".
. OpacSeparateHoldings: change "user's to "patron's".
. OpacStarRatings: change "user" to "patron" for the drop down option.
. OPACShowUnusedAuthorities: change "Do not show" to "Don't show".
. OPACUserSummary: change "user's to "patron's", change "fines" to
"charges".
. OPACXSLT*: change "Leave" to "leave".
. Remove empty row at bottom of appearance options.

Features:
. OpacBrowser: change "OPAC" to "the OPAC".
. OpacBrowseSearch: reword as "[Enable/Disable] interface for browsing
all holdings (Elasticsearch only)."
. OpacCloud: change "OPAC" to "the OPAC".
. OPACDetailQRCode: change "Don't enable" to "Disable".
. OPACFinesTab: change "Fines" to "charges", change "the My Accouunt" to
"their account". (Should now show as "..patrons to access the charges
tab on their account page on the OPAC."
. OpacHoldNotes: change "Do not allow" to "Don't allow", change "users"
to "patrons".
. OpacResetPassword: change "users" to "patrons", add full stop.
. SocialNetworks: change "in opac" to "on the OPAC".

Note: Also deleted lines with # in front of them for the OpacBrowser and
OpacCloud system preferences in the Policy section - these look like
duplicated entries to me (previously lines 600-611).

Policy:
. OPACFineNoRenewalsIncludeCredits: change "users" to "patrons".

Self registration and modification:
. PatronSelfRegistrationConfirmEmail: change "Do not require" to "Don't
require", change "users" to "patrons".
. PatronSelfRegistrationEmailMustBeUnique: change "Do not consider" to
"Don't consider".
. PatronSelfRegistrationPrefillForm: change "Do not display and prefill"
to "Don't display and prefill".

Patrons
-------

General:
. AllowPatronToControlAutorenewal: add full stop.

Notices and notifications:
. EnhancedMessagingPreferences: change "Staff" to "staff".
- FallbackToSMSIfNoEmail: change "Send" to "sending".

Patron forms:
. BorrowerUnwantedField: add full stop.
. CollapseFieldsPatronAddForm:
  . Dropdown list changes:
     .. "Organization/Patron identity" => "Patron identity".
     .. "OPAC/Staff login" to "OPAC/Staff interface login".
  . Requires changes to the memberentrygen.tt - check that the add and
edit form for a patron dispaly correctly:
     .. change "Contact" to "Contact information".
     .. change "Library set-up" to "Library setup".
     .. change "OPAC/Staff login" to "OPAC/Staff interface login".

Patron relationships:
. PrefillGuaranteeField: change drop down list option "Main address -
street number" to "Main address - Street number" to match with format of
other entries.

Security:
. RequireStrongPassword: change "More" to "more".

Searching
---------

Search form:
. AdvancedSearchTypes: change "staff-side" to "staff interface".
. expandedSearchOption: change "staff" to "staff interface".

Serials
-------

. makePreviousSerialAvailable: change "Do not make" to Don't make";
"syspref" to "system preference".
. PreserveSerialNotes: change "Do not" to "Don't".
. RoutingListNote: change "Include following" to "Include the following"

Staff interface
---------------

Tab label and link:
. This tab was previously labelled "Staff client".
. Change tab label on the left hand side from "Staff client" to "Staff
interface".
. Change URL when selected from "preferences.pl?tab=staff_client" to
"preferences.pl?tab=staff_interface".
. Check that the link works as expected.

Appearance:
. IntranetFavicon: change "Staff" to "staff".

Tools
-----

Reports:
. NumSavedReports: change "Saved reports page" to "saved reports page".

Web services
------------

IdRef:
. IdRef: change "allows to request" to "allows requests for".

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 49 Katrin Fischer 2020-08-14 12:37:49 UTC
I think these changes add a lot more consistency, but as they will trigger a lot of translations they should only be considered for master.
Comment 50 Jonathan Druart 2020-08-18 10:30:38 UTC
In the following patch:
  Bug 25630: (follow-up) Fix capitalization and terminology for system preferences

We removed the nice indentation we had in koha-tmpl/intranet-tmpl/prog/en/includes/prefs-menu.inc

Is there a good reason?
Comment 51 Katrin Fischer 2020-08-22 11:25:04 UTC
(In reply to Jonathan Druart from comment #50)
> In the following patch:
>   Bug 25630: (follow-up) Fix capitalization and terminology for system
> preferences
> 
> We removed the nice indentation we had in
> koha-tmpl/intranet-tmpl/prog/en/includes/prefs-menu.inc
> 
> Is there a good reason?

I think this was due to rebasing - I didn't remove the indentation - it was added in between. I will try to fix it.
Comment 52 Katrin Fischer 2020-08-22 11:58:26 UTC
Created attachment 108910 [details] [review]
Bug 25630: Fix capitalization and terminology for Staff interface system preferences

This changes "staff client" to "staff interface" and fixes capitalization
in a couple of cases.

For terminology changes see:
https://wiki.koha-community.org/wiki/Terminology#S

To test:
- Read through the preferences of the "staff interface" tab.
- Staff interface should be used consistently.
- Firefox "PlugIn" was changed to "add-on" reflecting Mozilla's
  own terminology.

Signed-off-by: David Nind <david@davidnind.com>
Comment 53 Katrin Fischer 2020-08-22 11:58:30 UTC
Created attachment 108911 [details] [review]
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences

- Rephrases LoadSearchHistoryToTheFirstLoggedUser system preference
- Consistently use "staff interface"
- Add ending punctuation to some preferences

To test:
- Read through the Searching system preferences
- Verify consistent use of staff interface
- Verify LoadSearchHistoryToTheFirstLoggedUser description is
  improved

Signed-off-by: David Nind <david@davidnind.com>
Comment 54 Katrin Fischer 2020-08-22 11:58:35 UTC
Created attachment 108912 [details] [review]
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences

- Adds some ending punctuation
- Fixes capitalization
- Consistent use of "staff interface"

To test:
- Verify:
  - NewsAuthorDisplay
  - EmailPurchaseSuggestions
  - UseACQFrameworkForBiblioRecords
  - AcqItemSetSubfieldsWhenReceived
  - AcqItemSetSubfieldsWhenReceiptIsCancelled
  - OrderPriceRounding
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 55 Katrin Fischer 2020-08-22 11:58:39 UTC
Created attachment 108913 [details] [review]
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences

- Fixes capitalization, including URL and OPAC
- Consistent use of "staff interface"
- Ending punctuation
- Spelling: web service

To test:
- Verify:
  - Enhanced content page heading
  - Babeltheque_url_js
  - Babeltheque_url_update
  - FRBRizeEditions
  - BakerTaylorEnabled
  - NovelistSelectStaffProfile
  - NovelistSelectStaffEnabled
  - CustomCoverImages
  - LocalCoverImages
  - IntranetCoce
  - AutoShareWithMana
  - OAI-PMH:AutoUpdateSets
  - IdRef
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 56 Katrin Fischer 2020-08-22 11:58:44 UTC
Created attachment 108914 [details] [review]
Bug 25630: Fix capitalization and terminology for Patrons system preferences

- Consistent use of 'staff interface'
- Ending punctuation
- Rearranged/rephrased for better readability

To test:
- Verify:
  - patronimages
  - PatronsPerPage (rearranged)
  - PatronQuickAddFields (rearranged)
  - PrefillGuaranteeField (punctuation)
  - borrowerRelationship (punctuation)
  - GDPR_Policy
  - CollapseFieldsPatronAddForm
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 57 Katrin Fischer 2020-08-22 11:58:49 UTC
Created attachment 108915 [details] [review]
Bug 25630: Fix capitalization and terminology for OPAC system preferences

- Ending punctuation (p)
- Capitalization (c)
- Terminology: library instead of branch, patron instead of borrower,
  system preferences instead of syspref

To test:
- Verify:
  - OPACUserSummary (p, rephrase: mainpage)
  - HighlightOwnItemsOnOPACWhich (library)
  - OPACXSLTListsDisplay (p)
  - OPACXSLTResultsDisplay (p)
  - OPACXSLTDetailsDisplay (p)
  - OpacNoItemTypeImages (p)
  - NotHighlightedWords (p)
  - opaclayoutstylesheet (CSS)
  - OPACReportProblem (c)
  - OpacBrowser (p)
  - OpacCloud (p)
  - SocialNetworks (p)
  - QuoteOfTheDay (c,p)
  - OpacNewsLibrarySelect (library)
  - OPACFineNoRenewalsIncludeCredits (p)
  - AllowPurchaseSuggestionBranchChoice (p)
  - OpacHiddenItemsExceptions (p, patron)
  - OpacAllowPublicListCreation (p)
  - OpacAllowSharingPrivateLists (p)
  - BlockExpiredPatronOpacActions (whitespace)
  - MaxOpenSuggestions (p)
  - AnonSuggestions (p)
  - OPACPrivacy (p, whitespace)
  - AnonymousPatron (c,p)
  - TrackClicks (p)
  - RestrictedPageLocalIPs (p)
  - RestrictedPageTitle (p)
  - OpacAdvSearchOptions (p)
  - OpacAdvSearchMoreOptions (p)
  - PayPal* (p)
  - OPACUserSummary (mainpage to OPAC start page)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 58 Katrin Fischer 2020-08-22 11:58:54 UTC
Created attachment 108916 [details] [review]
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences

- (Ending) punctuation (p)
- Capitalization (p)
- Terminology

To test:
- Verify:
  - alphabet (p)
  - TranslateNotics (c)
  - IllLog (p)
  - ReturnLog (returned to checked in)
  - DumpTemplateVars* (HTML)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 59 Katrin Fischer 2020-08-22 11:58:59 UTC
Created attachment 108917 [details] [review]
Bug 25630: Fix capitalization and terminology for Circulation system preferences

- (Ending) punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - CircSidebar (c)
  - itemBarcodeInputFilter (from to form)
  - HoldsToPullStartDate (preference to system preference)
  - NoticeCSS (c)
  - UpdateTotalIssuesOnCirc (issues to checkouts)
  - ExportRemovefields (p)
  - AllowItemsOnHoldCheckoutSIP (c)
  - OnSiteCheckoutAutoCheck (onsite to on-site)
  - AllowOfflineCirculation (plugin to add-on)
  - AllowFineOverride (add 'system preference')
  - AutomaticItemReturn (returned to checked in)
  - UseTransportCostMatrix (branches to libraries)
  - AllowReturnToBranch (materials to items, return to checkin)
  - RenewalSendNotice (clarify 'messaging preference for 'Item checkout')
  - TransfersMaxDaysWarning (c)
  - noissuescharge (books to items)
  - *NoissuesCharge (add 'system preference')
  - ReturnBeforeExpiry (books to items)
  - NoticeBcc (p)
  - OverdueNoticeCalendar (c, p)
  - OverduesBlockCirc (p)
  - DefaultLongOverdueChargeValue (whitespace after :)
  - OPACFineNoRenewalsBlockAutoRenew (c)
  - RenewAccruingItemWhenPaid (p, c, syspref to system preference)
  - RenewAccruingItemInOpac (p, c, syspref to system preference)
  - HoldsSplitQueue (staff interface)
  - StaffSearchResultsDisplayBranch (staff interface, rephrase)
  - HidePersonalPatronDetailOnCirculation (rephrase)
  - StoreLastBorrower (add 'system preferences')
  - HoldsSplitQueue (& to and, staff interface)
  - HouseboundModule (p)
  - StockRotation (p)
  - ArticleRequests* (p)
  - ClaimReturnedLostValue (rephrase)

Signed-off-by: David Nind <david@davidnind.com>
Comment 60 Katrin Fischer 2020-08-22 11:59:05 UTC
Created attachment 108918 [details] [review]
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AuthDisplayHierarchy (biblio to bibliographic)
  - MARCAuthorityControlField008 (p)
  - UNIMARCAuthorityField100 (p)
  - LinkerModule (c)
  - LinkerOptions (p)
  - SpineLabelShowPrintOnBibDetails (bib to bibliographic)
  - DefaultLanguageField008 (p)
  - DefaultCountryField008 (p)
  - SubfieldsToAllowForRestricted* (p, rephrase)
  - URLLinkText (added 'and items' - new with 20.05)
  - IntranetBiblioDefaultView (c)
  - MergeReportFields (rephrase)
  - BibtexExportAdditionalFields (marc to MARC)

Signed-off-by: David Nind <david@davidnind.com>
Comment 61 Katrin Fischer 2020-08-22 11:59:10 UTC
Created attachment 108919 [details] [review]
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AccountAutoReconcile (Do not to Don't for consistency with other prefs)
  - IndependentBranchesPatronModifications (p)
  - IndependentBranchesTransfers (p)
  - GoogleOpenIDConnect (google to Google)
  - UsageStatsLibrariesInfo (c)
  - opacSerialDefaultTab (c)
  - StaffSerialIssueDisplayCount (staff interface)
  - SubscriptionDuplicateDroppedInput (c)

Signed-off-by: David Nind <david@davidnind.com>
Comment 62 Katrin Fischer 2020-08-22 11:59:16 UTC
Created attachment 108920 [details] [review]
Bug 25630: (follow-up) Fix capitalization and terminology for system preferences

Additional capitalization, punctuation, terminolgy and improvements to
text for system preferences:

- Punctuation (such as full stops at the end of sentences)
- Capitalization
- Terminology (staff interface, use of "Don't" instead of "Do not")
- Rearranged/rephrased for better readability

To test:
- Verify that the changes listed are consistent and make sense.
- Check that on the staff interface home page that the window title says
"Koha staff interface".
- Verify that in system preferences the name of the tab for Staff
interface displays correctly, and that clicking on it brings up the
staff interface preferences.
- For Patrons > CollapseFieldsPatronAddForm check that the edit and add
patron form works correctly (edit a patron, add a new patron, check that
labels display correctly).

Staff interface home page
-------------------------

- Change the page title in browser from "Koha staff client" to "Koha
staff interface".

Administration
--------------

Google OpenID Connect:
. GoogleOpenIDConnectAutoRegister: change "Don't Allow" to "Don't allow"
and change "users" to "patrons".
. GoogleOpenIDConnectDefaultBranch: move the input field to the end of
the sentence.
. GoogleOpenIDConnectDefaultCategory: move the input field to the end of
the sentence.
. GoogleOpenIDConnectDomain: reword to "Restrict Google OpenID Connect
to domain (or subdomain of this domain): ____. Leave blank for all
Google domains.".

Interface options:
. SendAllEmailsTo: add a full stop.

Share anonymous usage statistics:
. UsageStatsLibrariesInfo: change "Do not share" to "Don't share"; add a
full stop; for note "Don't share" should be "No".
. most preferences: for note "Don't share" should be "No" (don't share)
(for preferences UsageStatsCountry, UsageStatsGeolocation,
UsageStatsLibrariesInfo, UsageStatsLibraryName, UsageStatsLibraryType,
and UsageStatsLibraryUrl), various edits to make more readable and
consistent.

Authorities
-----------

General
. AuthorityControlledIndicators: change "biblio field" to "bibliographic
field".
. AutoCreateAuthorities: change "do not generate" to "don't generate".

Linker:
. CatalogModuleRelink: change "Do not" to "Don't".
. LinkerKeepStale: change "Do not" to "Don't".
. LinkerModule: change "Default" to "default".
. LinkerOptions: add a full stop.
. LinkerRelink: change "Do not" to "Don't".

Cataloguing
-----------

Display:
. MergeReportFields: change "example:" to "Example:"

Exporting:
. BibtexExportAdditionalFields and RisExportAdditionalFields: change
"Include following" to "Include the following"; add ":" at end of
sentence, change "specificy" to "specify", and add full stops at end of
complete sentences.

Interface:
. EnableAdvancedCatalogingEditor: format NOTE in bold.

Record structure:
. AlternateHoldingsField: change "(This" to "(this", change "; for
instance" to ", for example", remove full stop.
, MarcFieldForCreatorId: format NOTE in bold.
. SubfieldsToAllowForRestrictedBatchmod: change "pref" to "system
preference".

Circulation
-----------

Batch checkout:
. BatchCheckoutsValidCategories: add a full stop.

Checkin policy:
. CalculateFinesOnReturn: only bold "NOTE", not the whole sentence (x2).
. StoreLastBorrower: change "opacreadinghistory/AnonymousPatron" to "the
opacreadinghistory and AnonymousPatron".
. UpdateItemLocationOnCheckin: change note "for these locations only can
location and permanent_location differ," to "for these locations the
location and permanent_location can differ,"
. UpdateNotForLoanStatusOnCheckin: change "E.g.," to "For example,"

Checkout policy:
. AgeRestrictionMarker: change "E.g.," to ". For example,"
. AllFinesNeedOverride: change "system preference noissuescharge" to
"the noissuescharge system preference".
. AllowFineOverride: add "the" before "noissuescharge".
. AllowRenewalLimitOverride: change "with respect to" to "for".
. AutoRemoveOverduesRestrictions: change "Do not" to "Don't".
. DefaultLongOverdueChargeValue: change "user" to "patron".
. ItemsDeniedRenewal: change . "e.g.," to "For example:", format the
note the same as other notes with NOTE in bold.
. OnSiteCheckoutsForce: change "on-site" to "on-site checkout", "(Even"
to "(even", and "user" to "patron".
. RentalFeesCheckoutConfirmation: change "do not ask" to "don't ask".
. RestrictionBlockRenewing: change "If patron" to "If a patron", change
"Allow" and "Block" to "allow" and "block".
. UseTransportCostMatrix: "Transport" to "the transport".

Interface:
. AllowOfflineCirculation: change "Do not enable" to "Don't enable".
. ExportRemoveFields: add a full stop.
. ShowAllCheckins: change "Do not show" to "Don't show".
. UpdateTotalIssuesOnCirc: change "Do not" to "Don't".

Interlibrary loans:
. CirculateILL: add a full stop.
. ILLCheckAvailability: add a full stop.

Self check-in module (sci-main.pl):
. SelfCheckInModule: change "module. (available" to "module (available",
add a full stop.

Self check-out module (sco-main.pl):
. AutoSelfCheckAllowed: change "automatically login" to "automatically
log in".
. WebBasedSelfCheck: change "system. (available" to "system (available",
add a full stop.

Enhanced content
----------------

Novelist Select:
. NovelistSelectStaffView: change "staff" to "staff interface".

Babelthèque:
. Babeltheque_url_js: rewitten
   . from "______ Defined the URL for the Babeltheque javascript file
(eg. http://www.babeltheque.com/bw_XX.js)"
   . to "Use this URL for the Babelthèque javascript file: ________
(e.g. http://www.babeltheque.com/bw_XX.js)."
. Babeltheque_url_update: rewritten
   . from "______ Defined the URL for the Babeltheque update
periodically (eq. http://www.babeltheque.com/.../file.csv.bz2)."
   . to "Use this URL for the Babelthèque periodic update: _______ (e.g.
http://www.babeltheque.com/.../file.csv.bz2)."

I18N/L10N
---------

. dateformat and TimeFormat: Change "Note" to "NOTE" to be consistent
with other notes, change <b> tag to <strong> as it is more semantically
correct.

Logs
----

Debugging:
. DumpTemplateVarsIntranet: change "variable" to "variables" and "staff
intranet" to "staff interface".
. DumpTemplateVarsOpac: change "variable" to "variables".

Logging:
. AuthFailureLog: add full stop.
. AuthSuccessLog: add full stop.

OPAC
----

Appearance:
. BiblioDefaultView: change "bib" to "bibliographic".
. HighlightOwnItemsOnOPAC: change ". (Non-XSLT Only)" to " (non-XSLT
only).".
. OpacAdditionalStylesheet: change "specified" to "specific".
. OPACDisplay856uAsImage: change all options in the drop down list so
they start in lowercase.
. OpacHighlightedWords: change ";" to a full stop, add a full stop at
the end.
. OPACHoldingsDefaultSortField: add a full stop.
. OpacMaxItemsToDisplay: change "user" to "patron".
. OPACMySummaryHTML: change "user" to "patron".
. OpacSeparateHoldings: change "user's to "patron's".
. OpacStarRatings: change "user" to "patron" for the drop down option.
. OPACShowUnusedAuthorities: change "Do not show" to "Don't show".
. OPACUserSummary: change "user's to "patron's", change "fines" to
"charges".
. OPACXSLT*: change "Leave" to "leave".
. Remove empty row at bottom of appearance options.

Features:
. OpacBrowser: change "OPAC" to "the OPAC".
. OpacBrowseSearch: reword as "[Enable/Disable] interface for browsing
all holdings (Elasticsearch only)."
. OpacCloud: change "OPAC" to "the OPAC".
. OPACDetailQRCode: change "Don't enable" to "Disable".
. OPACFinesTab: change "Fines" to "charges", change "the My Accouunt" to
"their account". (Should now show as "..patrons to access the charges
tab on their account page on the OPAC."
. OpacHoldNotes: change "Do not allow" to "Don't allow", change "users"
to "patrons".
. OpacResetPassword: change "users" to "patrons", add full stop.
. SocialNetworks: change "in opac" to "on the OPAC".

Note: Also deleted lines with # in front of them for the OpacBrowser and
OpacCloud system preferences in the Policy section - these look like
duplicated entries to me (previously lines 600-611).

Policy:
. OPACFineNoRenewalsIncludeCredits: change "users" to "patrons".

Self registration and modification:
. PatronSelfRegistrationConfirmEmail: change "Do not require" to "Don't
require", change "users" to "patrons".
. PatronSelfRegistrationEmailMustBeUnique: change "Do not consider" to
"Don't consider".
. PatronSelfRegistrationPrefillForm: change "Do not display and prefill"
to "Don't display and prefill".

Patrons
-------

General:
. AllowPatronToControlAutorenewal: add full stop.

Notices and notifications:
. EnhancedMessagingPreferences: change "Staff" to "staff".
- FallbackToSMSIfNoEmail: change "Send" to "sending".

Patron forms:
. BorrowerUnwantedField: add full stop.
. CollapseFieldsPatronAddForm:
  . Dropdown list changes:
     .. "Organization/Patron identity" => "Patron identity".
     .. "OPAC/Staff login" to "OPAC/Staff interface login".
  . Requires changes to the memberentrygen.tt - check that the add and
edit form for a patron dispaly correctly:
     .. change "Contact" to "Contact information".
     .. change "Library set-up" to "Library setup".
     .. change "OPAC/Staff login" to "OPAC/Staff interface login".

Patron relationships:
. PrefillGuaranteeField: change drop down list option "Main address -
street number" to "Main address - Street number" to match with format of
other entries.

Security:
. RequireStrongPassword: change "More" to "more".

Searching
---------

Search form:
. AdvancedSearchTypes: change "staff-side" to "staff interface".
. expandedSearchOption: change "staff" to "staff interface".

Serials
-------

. makePreviousSerialAvailable: change "Do not make" to Don't make";
"syspref" to "system preference".
. PreserveSerialNotes: change "Do not" to "Don't".
. RoutingListNote: change "Include following" to "Include the following"

Staff interface
---------------

Tab label and link:
. This tab was previously labelled "Staff client".
. Change tab label on the left hand side from "Staff client" to "Staff
interface".
. Change URL when selected from "preferences.pl?tab=staff_client" to
"preferences.pl?tab=staff_interface".
. Check that the link works as expected.

Appearance:
. IntranetFavicon: change "Staff" to "staff".

Tools
-----

Reports:
. NumSavedReports: change "Saved reports page" to "saved reports page".

Web services
------------

IdRef:
. IdRef: change "allows to request" to "allows requests for".

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 63 Katrin Fischer 2020-08-22 12:00:12 UTC
(In reply to Jonathan Druart from comment #50)
> In the following patch:
>   Bug 25630: (follow-up) Fix capitalization and terminology for system
> preferences
> 
> We removed the nice indentation we had in
> koha-tmpl/intranet-tmpl/prog/en/includes/prefs-menu.inc
> 
> Is there a good reason?

Fixed I hope, would be happy if you could have another look.
Comment 64 Jonathan Druart 2020-08-26 10:04:08 UTC
I am sorry but I get the same problem:

Applying: Bug 25630: (follow-up) Fix capitalization and terminology for system preferences
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref).

Can you push a remote branch somewhere?
Comment 65 Katrin Fischer 2020-09-01 18:49:09 UTC
(In reply to Jonathan Druart from comment #64)
> I am sorry but I get the same problem:
> 
> Applying: Bug 25630: (follow-up) Fix capitalization and terminology for
> system preferences
> error: sha1 information is lacking or useless
> (koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref).
> 
> Can you push a remote branch somewhere?

It applied cleanly for me right now - I will push up fresh patches.
Comment 66 Katrin Fischer 2020-09-01 18:51:20 UTC
Created attachment 109446 [details] [review]
Bug 25630: Fix capitalization and terminology for Staff interface system preferences

This changes "staff client" to "staff interface" and fixes capitalization
in a couple of cases.

For terminology changes see:
https://wiki.koha-community.org/wiki/Terminology#S

To test:
- Read through the preferences of the "staff interface" tab.
- Staff interface should be used consistently.
- Firefox "PlugIn" was changed to "add-on" reflecting Mozilla's
  own terminology.

Signed-off-by: David Nind <david@davidnind.com>
Comment 67 Katrin Fischer 2020-09-01 18:51:25 UTC
Created attachment 109447 [details] [review]
Bug 25630: Fix capitalization and terminology fixes for Searching system preferences

- Rephrases LoadSearchHistoryToTheFirstLoggedUser system preference
- Consistently use "staff interface"
- Add ending punctuation to some preferences

To test:
- Read through the Searching system preferences
- Verify consistent use of staff interface
- Verify LoadSearchHistoryToTheFirstLoggedUser description is
  improved

Signed-off-by: David Nind <david@davidnind.com>
Comment 68 Katrin Fischer 2020-09-01 18:51:30 UTC
Created attachment 109448 [details] [review]
Bug 25630: Fix capitalization and terminology for Acquisitions and Tools system preferences

- Adds some ending punctuation
- Fixes capitalization
- Consistent use of "staff interface"

To test:
- Verify:
  - NewsAuthorDisplay
  - EmailPurchaseSuggestions
  - UseACQFrameworkForBiblioRecords
  - AcqItemSetSubfieldsWhenReceived
  - AcqItemSetSubfieldsWhenReceiptIsCancelled
  - OrderPriceRounding
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 69 Katrin Fischer 2020-09-01 18:51:34 UTC
Created attachment 109449 [details] [review]
Bug 25630: Fix capitalization and terminology for Enhanced content and Web services system preferences

- Fixes capitalization, including URL and OPAC
- Consistent use of "staff interface"
- Ending punctuation
- Spelling: web service

To test:
- Verify:
  - Enhanced content page heading
  - Babeltheque_url_js
  - Babeltheque_url_update
  - FRBRizeEditions
  - BakerTaylorEnabled
  - NovelistSelectStaffProfile
  - NovelistSelectStaffEnabled
  - CustomCoverImages
  - LocalCoverImages
  - IntranetCoce
  - AutoShareWithMana
  - OAI-PMH:AutoUpdateSets
  - IdRef
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 70 Katrin Fischer 2020-09-01 18:51:39 UTC
Created attachment 109450 [details] [review]
Bug 25630: Fix capitalization and terminology for Patrons system preferences

- Consistent use of 'staff interface'
- Ending punctuation
- Rearranged/rephrased for better readability

To test:
- Verify:
  - patronimages
  - PatronsPerPage (rearranged)
  - PatronQuickAddFields (rearranged)
  - PrefillGuaranteeField (punctuation)
  - borrowerRelationship (punctuation)
  - GDPR_Policy
  - CollapseFieldsPatronAddForm
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 71 Katrin Fischer 2020-09-01 18:51:45 UTC
Created attachment 109451 [details] [review]
Bug 25630: Fix capitalization and terminology for OPAC system preferences

- Ending punctuation (p)
- Capitalization (c)
- Terminology: library instead of branch, patron instead of borrower,
  system preferences instead of syspref

To test:
- Verify:
  - OPACUserSummary (p, rephrase: mainpage)
  - HighlightOwnItemsOnOPACWhich (library)
  - OPACXSLTListsDisplay (p)
  - OPACXSLTResultsDisplay (p)
  - OPACXSLTDetailsDisplay (p)
  - OpacNoItemTypeImages (p)
  - NotHighlightedWords (p)
  - opaclayoutstylesheet (CSS)
  - OPACReportProblem (c)
  - OpacBrowser (p)
  - OpacCloud (p)
  - SocialNetworks (p)
  - QuoteOfTheDay (c,p)
  - OpacNewsLibrarySelect (library)
  - OPACFineNoRenewalsIncludeCredits (p)
  - AllowPurchaseSuggestionBranchChoice (p)
  - OpacHiddenItemsExceptions (p, patron)
  - OpacAllowPublicListCreation (p)
  - OpacAllowSharingPrivateLists (p)
  - BlockExpiredPatronOpacActions (whitespace)
  - MaxOpenSuggestions (p)
  - AnonSuggestions (p)
  - OPACPrivacy (p, whitespace)
  - AnonymousPatron (c,p)
  - TrackClicks (p)
  - RestrictedPageLocalIPs (p)
  - RestrictedPageTitle (p)
  - OpacAdvSearchOptions (p)
  - OpacAdvSearchMoreOptions (p)
  - PayPal* (p)
  - OPACUserSummary (mainpage to OPAC start page)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 72 Katrin Fischer 2020-09-01 18:51:50 UTC
Created attachment 109452 [details] [review]
Bug 25630: Fix capitalization and terminology for Logs and I18N system preferences

- (Ending) punctuation (p)
- Capitalization (p)
- Terminology

To test:
- Verify:
  - alphabet (p)
  - TranslateNotics (c)
  - IllLog (p)
  - ReturnLog (returned to checked in)
  - DumpTemplateVars* (HTML)
- read correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 73 Katrin Fischer 2020-09-01 18:51:56 UTC
Created attachment 109453 [details] [review]
Bug 25630: Fix capitalization and terminology for Circulation system preferences

- (Ending) punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - CircSidebar (c)
  - itemBarcodeInputFilter (from to form)
  - HoldsToPullStartDate (preference to system preference)
  - NoticeCSS (c)
  - UpdateTotalIssuesOnCirc (issues to checkouts)
  - ExportRemovefields (p)
  - AllowItemsOnHoldCheckoutSIP (c)
  - OnSiteCheckoutAutoCheck (onsite to on-site)
  - AllowOfflineCirculation (plugin to add-on)
  - AllowFineOverride (add 'system preference')
  - AutomaticItemReturn (returned to checked in)
  - UseTransportCostMatrix (branches to libraries)
  - AllowReturnToBranch (materials to items, return to checkin)
  - RenewalSendNotice (clarify 'messaging preference for 'Item checkout')
  - TransfersMaxDaysWarning (c)
  - noissuescharge (books to items)
  - *NoissuesCharge (add 'system preference')
  - ReturnBeforeExpiry (books to items)
  - NoticeBcc (p)
  - OverdueNoticeCalendar (c, p)
  - OverduesBlockCirc (p)
  - DefaultLongOverdueChargeValue (whitespace after :)
  - OPACFineNoRenewalsBlockAutoRenew (c)
  - RenewAccruingItemWhenPaid (p, c, syspref to system preference)
  - RenewAccruingItemInOpac (p, c, syspref to system preference)
  - HoldsSplitQueue (staff interface)
  - StaffSearchResultsDisplayBranch (staff interface, rephrase)
  - HidePersonalPatronDetailOnCirculation (rephrase)
  - StoreLastBorrower (add 'system preferences')
  - HoldsSplitQueue (& to and, staff interface)
  - HouseboundModule (p)
  - StockRotation (p)
  - ArticleRequests* (p)
  - ClaimReturnedLostValue (rephrase)

Signed-off-by: David Nind <david@davidnind.com>
Comment 74 Katrin Fischer 2020-09-01 18:52:00 UTC
Created attachment 109454 [details] [review]
Bug 25630: Fix capitalization and terminology for Authorities and Cataloging system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AuthDisplayHierarchy (biblio to bibliographic)
  - MARCAuthorityControlField008 (p)
  - UNIMARCAuthorityField100 (p)
  - LinkerModule (c)
  - LinkerOptions (p)
  - SpineLabelShowPrintOnBibDetails (bib to bibliographic)
  - DefaultLanguageField008 (p)
  - DefaultCountryField008 (p)
  - SubfieldsToAllowForRestricted* (p, rephrase)
  - URLLinkText (added 'and items' - new with 20.05)
  - IntranetBiblioDefaultView (c)
  - MergeReportFields (rephrase)
  - BibtexExportAdditionalFields (marc to MARC)

Signed-off-by: David Nind <david@davidnind.com>
Comment 75 Katrin Fischer 2020-09-01 18:52:05 UTC
Created attachment 109455 [details] [review]
Bug 25630: Fix capitalization and terminology for Accounting, Administration and Serials system preferences

- Punctuation (p)
- Terminology
- Capitalization (c)

To test:
- Verify:
  - AccountAutoReconcile (Do not to Don't for consistency with other prefs)
  - IndependentBranchesPatronModifications (p)
  - IndependentBranchesTransfers (p)
  - GoogleOpenIDConnect (google to Google)
  - UsageStatsLibrariesInfo (c)
  - opacSerialDefaultTab (c)
  - StaffSerialIssueDisplayCount (staff interface)
  - SubscriptionDuplicateDroppedInput (c)

Signed-off-by: David Nind <david@davidnind.com>
Comment 76 Katrin Fischer 2020-09-01 18:52:10 UTC
Created attachment 109456 [details] [review]
Bug 25630: (follow-up) Fix capitalization and terminology for system preferences

Additional capitalization, punctuation, terminolgy and improvements to
text for system preferences:

- Punctuation (such as full stops at the end of sentences)
- Capitalization
- Terminology (staff interface, use of "Don't" instead of "Do not")
- Rearranged/rephrased for better readability

To test:
- Verify that the changes listed are consistent and make sense.
- Check that on the staff interface home page that the window title says
"Koha staff interface".
- Verify that in system preferences the name of the tab for Staff
interface displays correctly, and that clicking on it brings up the
staff interface preferences.
- For Patrons > CollapseFieldsPatronAddForm check that the edit and add
patron form works correctly (edit a patron, add a new patron, check that
labels display correctly).

Staff interface home page
-------------------------

- Change the page title in browser from "Koha staff client" to "Koha
staff interface".

Administration
--------------

Google OpenID Connect:
. GoogleOpenIDConnectAutoRegister: change "Don't Allow" to "Don't allow"
and change "users" to "patrons".
. GoogleOpenIDConnectDefaultBranch: move the input field to the end of
the sentence.
. GoogleOpenIDConnectDefaultCategory: move the input field to the end of
the sentence.
. GoogleOpenIDConnectDomain: reword to "Restrict Google OpenID Connect
to domain (or subdomain of this domain): ____. Leave blank for all
Google domains.".

Interface options:
. SendAllEmailsTo: add a full stop.

Share anonymous usage statistics:
. UsageStatsLibrariesInfo: change "Do not share" to "Don't share"; add a
full stop; for note "Don't share" should be "No".
. most preferences: for note "Don't share" should be "No" (don't share)
(for preferences UsageStatsCountry, UsageStatsGeolocation,
UsageStatsLibrariesInfo, UsageStatsLibraryName, UsageStatsLibraryType,
and UsageStatsLibraryUrl), various edits to make more readable and
consistent.

Authorities
-----------

General
. AuthorityControlledIndicators: change "biblio field" to "bibliographic
field".
. AutoCreateAuthorities: change "do not generate" to "don't generate".

Linker:
. CatalogModuleRelink: change "Do not" to "Don't".
. LinkerKeepStale: change "Do not" to "Don't".
. LinkerModule: change "Default" to "default".
. LinkerOptions: add a full stop.
. LinkerRelink: change "Do not" to "Don't".

Cataloguing
-----------

Display:
. MergeReportFields: change "example:" to "Example:"

Exporting:
. BibtexExportAdditionalFields and RisExportAdditionalFields: change
"Include following" to "Include the following"; add ":" at end of
sentence, change "specificy" to "specify", and add full stops at end of
complete sentences.

Interface:
. EnableAdvancedCatalogingEditor: format NOTE in bold.

Record structure:
. AlternateHoldingsField: change "(This" to "(this", change "; for
instance" to ", for example", remove full stop.
, MarcFieldForCreatorId: format NOTE in bold.
. SubfieldsToAllowForRestrictedBatchmod: change "pref" to "system
preference".

Circulation
-----------

Batch checkout:
. BatchCheckoutsValidCategories: add a full stop.

Checkin policy:
. CalculateFinesOnReturn: only bold "NOTE", not the whole sentence (x2).
. StoreLastBorrower: change "opacreadinghistory/AnonymousPatron" to "the
opacreadinghistory and AnonymousPatron".
. UpdateItemLocationOnCheckin: change note "for these locations only can
location and permanent_location differ," to "for these locations the
location and permanent_location can differ,"
. UpdateNotForLoanStatusOnCheckin: change "E.g.," to "For example,"

Checkout policy:
. AgeRestrictionMarker: change "E.g.," to ". For example,"
. AllFinesNeedOverride: change "system preference noissuescharge" to
"the noissuescharge system preference".
. AllowFineOverride: add "the" before "noissuescharge".
. AllowRenewalLimitOverride: change "with respect to" to "for".
. AutoRemoveOverduesRestrictions: change "Do not" to "Don't".
. DefaultLongOverdueChargeValue: change "user" to "patron".
. ItemsDeniedRenewal: change . "e.g.," to "For example:", format the
note the same as other notes with NOTE in bold.
. OnSiteCheckoutsForce: change "on-site" to "on-site checkout", "(Even"
to "(even", and "user" to "patron".
. RentalFeesCheckoutConfirmation: change "do not ask" to "don't ask".
. RestrictionBlockRenewing: change "If patron" to "If a patron", change
"Allow" and "Block" to "allow" and "block".
. UseTransportCostMatrix: "Transport" to "the transport".

Interface:
. AllowOfflineCirculation: change "Do not enable" to "Don't enable".
. ExportRemoveFields: add a full stop.
. ShowAllCheckins: change "Do not show" to "Don't show".
. UpdateTotalIssuesOnCirc: change "Do not" to "Don't".

Interlibrary loans:
. CirculateILL: add a full stop.
. ILLCheckAvailability: add a full stop.

Self check-in module (sci-main.pl):
. SelfCheckInModule: change "module. (available" to "module (available",
add a full stop.

Self check-out module (sco-main.pl):
. AutoSelfCheckAllowed: change "automatically login" to "automatically
log in".
. WebBasedSelfCheck: change "system. (available" to "system (available",
add a full stop.

Enhanced content
----------------

Novelist Select:
. NovelistSelectStaffView: change "staff" to "staff interface".

Babelthèque:
. Babeltheque_url_js: rewitten
   . from "______ Defined the URL for the Babeltheque javascript file
(eg. http://www.babeltheque.com/bw_XX.js)"
   . to "Use this URL for the Babelthèque javascript file: ________
(e.g. http://www.babeltheque.com/bw_XX.js)."
. Babeltheque_url_update: rewritten
   . from "______ Defined the URL for the Babeltheque update
periodically (eq. http://www.babeltheque.com/.../file.csv.bz2)."
   . to "Use this URL for the Babelthèque periodic update: _______ (e.g.
http://www.babeltheque.com/.../file.csv.bz2)."

I18N/L10N
---------

. dateformat and TimeFormat: Change "Note" to "NOTE" to be consistent
with other notes, change <b> tag to <strong> as it is more semantically
correct.

Logs
----

Debugging:
. DumpTemplateVarsIntranet: change "variable" to "variables" and "staff
intranet" to "staff interface".
. DumpTemplateVarsOpac: change "variable" to "variables".

Logging:
. AuthFailureLog: add full stop.
. AuthSuccessLog: add full stop.

OPAC
----

Appearance:
. BiblioDefaultView: change "bib" to "bibliographic".
. HighlightOwnItemsOnOPAC: change ". (Non-XSLT Only)" to " (non-XSLT
only).".
. OpacAdditionalStylesheet: change "specified" to "specific".
. OPACDisplay856uAsImage: change all options in the drop down list so
they start in lowercase.
. OpacHighlightedWords: change ";" to a full stop, add a full stop at
the end.
. OPACHoldingsDefaultSortField: add a full stop.
. OpacMaxItemsToDisplay: change "user" to "patron".
. OPACMySummaryHTML: change "user" to "patron".
. OpacSeparateHoldings: change "user's to "patron's".
. OpacStarRatings: change "user" to "patron" for the drop down option.
. OPACShowUnusedAuthorities: change "Do not show" to "Don't show".
. OPACUserSummary: change "user's to "patron's", change "fines" to
"charges".
. OPACXSLT*: change "Leave" to "leave".
. Remove empty row at bottom of appearance options.

Features:
. OpacBrowser: change "OPAC" to "the OPAC".
. OpacBrowseSearch: reword as "[Enable/Disable] interface for browsing
all holdings (Elasticsearch only)."
. OpacCloud: change "OPAC" to "the OPAC".
. OPACDetailQRCode: change "Don't enable" to "Disable".
. OPACFinesTab: change "Fines" to "charges", change "the My Accouunt" to
"their account". (Should now show as "..patrons to access the charges
tab on their account page on the OPAC."
. OpacHoldNotes: change "Do not allow" to "Don't allow", change "users"
to "patrons".
. OpacResetPassword: change "users" to "patrons", add full stop.
. SocialNetworks: change "in opac" to "on the OPAC".

Note: Also deleted lines with # in front of them for the OpacBrowser and
OpacCloud system preferences in the Policy section - these look like
duplicated entries to me (previously lines 600-611).

Policy:
. OPACFineNoRenewalsIncludeCredits: change "users" to "patrons".

Self registration and modification:
. PatronSelfRegistrationConfirmEmail: change "Do not require" to "Don't
require", change "users" to "patrons".
. PatronSelfRegistrationEmailMustBeUnique: change "Do not consider" to
"Don't consider".
. PatronSelfRegistrationPrefillForm: change "Do not display and prefill"
to "Don't display and prefill".

Patrons
-------

General:
. AllowPatronToControlAutorenewal: add full stop.

Notices and notifications:
. EnhancedMessagingPreferences: change "Staff" to "staff".
- FallbackToSMSIfNoEmail: change "Send" to "sending".

Patron forms:
. BorrowerUnwantedField: add full stop.
. CollapseFieldsPatronAddForm:
  . Dropdown list changes:
     .. "Organization/Patron identity" => "Patron identity".
     .. "OPAC/Staff login" to "OPAC/Staff interface login".
  . Requires changes to the memberentrygen.tt - check that the add and
edit form for a patron dispaly correctly:
     .. change "Contact" to "Contact information".
     .. change "Library set-up" to "Library setup".
     .. change "OPAC/Staff login" to "OPAC/Staff interface login".

Patron relationships:
. PrefillGuaranteeField: change drop down list option "Main address -
street number" to "Main address - Street number" to match with format of
other entries.

Security:
. RequireStrongPassword: change "More" to "more".

Searching
---------

Search form:
. AdvancedSearchTypes: change "staff-side" to "staff interface".
. expandedSearchOption: change "staff" to "staff interface".

Serials
-------

. makePreviousSerialAvailable: change "Do not make" to Don't make";
"syspref" to "system preference".
. PreserveSerialNotes: change "Do not" to "Don't".
. RoutingListNote: change "Include following" to "Include the following"

Staff interface
---------------

Tab label and link:
. This tab was previously labelled "Staff client".
. Change tab label on the left hand side from "Staff client" to "Staff
interface".
. Change URL when selected from "preferences.pl?tab=staff_client" to
"preferences.pl?tab=staff_interface".
. Check that the link works as expected.

Appearance:
. IntranetFavicon: change "Staff" to "staff".

Tools
-----

Reports:
. NumSavedReports: change "Saved reports page" to "saved reports page".

Web services
------------

IdRef:
. IdRef: change "allows to request" to "allows requests for".

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 77 Jonathan Druart 2020-09-02 10:06:23 UTC
-            - "(Leave this field empty to send messages to their normal recipient)"
+            - "(Leave this field empty to send messages to their normal recipient.)"

Period should be after the parenthesis I'd say
Comment 78 Jonathan Druart 2020-09-02 10:10:41 UTC
(In reply to Jonathan Druart from comment #77)
> -            - "(Leave this field empty to send messages to their normal
> recipient)"
> +            - "(Leave this field empty to send messages to their normal
> recipient.)"
> 
> Period should be after the parenthesis I'd say

Hum, maybe not actually, the full entry is:
 	
Email to redirect all messages to: [pref] (Leave this field empty to send messages to their normal recipient.)
Comment 79 Katrin Fischer 2020-09-02 10:16:02 UTC
(In reply to Jonathan Druart from comment #78)
> (In reply to Jonathan Druart from comment #77)
> > -            - "(Leave this field empty to send messages to their normal
> > recipient)"
> > +            - "(Leave this field empty to send messages to their normal
> > recipient.)"
> > 
> > Period should be after the parenthesis I'd say
> 
> Hum, maybe not actually, the full entry is:
>  	
> Email to redirect all messages to: [pref] (Leave this field empty to send
> messages to their normal recipient.)

I think in this case within the () is correct, as the whole sentence is inside the () and not starting outside of it.
Comment 80 Julian Maurice 2020-09-04 07:08:08 UTC
It looks like those patches are already in master. What happened ?
Comment 81 Jonathan Druart 2020-09-04 09:11:24 UTC
(In reply to Julian Maurice from comment #80)
> It looks like those patches are already in master. What happened ?

Indeed, it was expected but the script to mark the bug report as pushed did not do its job because of the wrong status.
Comment 82 Jonathan Druart 2020-09-04 09:11:57 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 83 Lucas Gass 2020-09-04 21:15:05 UTC
enhancement will not be backported to 20.05.x
Comment 84 David Nind 2020-09-05 19:44:43 UTC
Thanks Katrin, Jonathan and everyone for getting this through, and apologies for my lack of follow-up/dropping the ball with the rebasing

In hindsight, I probably should have made my "follow-up" a separate bug!